#ifndef _REGISTER_H_INCLUDED_
#define _REGISTER_H_INCLUDED_

#include "defines.h"

#define	V850ES_JG2_PDL		(*(volatile unsigned short *)0xFFFFF004)
#define	V850ES_JG2_PDLL		(*(volatile unsigned char  *)0xFFFFF004)
#define	V850ES_JG2_PDLH		(*(volatile unsigned char  *)0xFFFFF005)
#define	V850ES_JG2_PDH		(*(volatile unsigned char  *)0xFFFFF006)
#define	V850ES_JG2_PCT		(*(volatile unsigned char  *)0xFFFFF00A)
#define	V850ES_JG2_PCM		(*(volatile unsigned char  *)0xFFFFF00C)
#define	V850ES_JG2_PMDL		(*(volatile unsigned short *)0xFFFFF024)
#define	V850ES_JG2_PMDLL	(*(volatile unsigned char  *)0xFFFFF024)
#define	V850ES_JG2_PMDLH	(*(volatile unsigned char  *)0xFFFFF025)
#define	V850ES_JG2_PMDH		(*(volatile unsigned char  *)0xFFFFF026)
#define	V850ES_JG2_PMCT		(*(volatile unsigned char  *)0xFFFFF02A)
#define	V850ES_JG2_PMCM		(*(volatile unsigned char  *)0xFFFFF02C)
#define	V850ES_JG2_PMCDL	(*(volatile unsigned short *)0xFFFFF044)
#define	V850ES_JG2_PMCDLL	(*(volatile unsigned char  *)0xFFFFF044)
#define	V850ES_JG2_PMCDLH	(*(volatile unsigned char  *)0xFFFFF045)
#define	V850ES_JG2_PMCDH	(*(volatile unsigned char  *)0xFFFFF046)
#define	V850ES_JG2_PMCCT	(*(volatile unsigned char  *)0xFFFFF04A)
#define	V850ES_JG2_PMCCM	(*(volatile unsigned char  *)0xFFFFF04C)
#define	V850ES_JG2_BSC		(*(volatile unsigned short *)0xFFFFF066)
#define	V850ES_JG2_VSWC		(*(volatile unsigned char  *)0xFFFFF06E)
#define	V850ES_JG2_DSA0L	(*(volatile unsigned short *)0xFFFFF080)
#define	V850ES_JG2_DSA0H	(*(volatile unsigned short *)0xFFFFF082)
#define	V850ES_JG2_DDA0L	(*(volatile unsigned short *)0xFFFFF084)
#define	V850ES_JG2_DDA0H	(*(volatile unsigned short *)0xFFFFF086)
#define	V850ES_JG2_DSA1L	(*(volatile unsigned short *)0xFFFFF088)
#define	V850ES_JG2_DSA1H	(*(volatile unsigned short *)0xFFFFF08A)
#define	V850ES_JG2_DDA1L	(*(volatile unsigned short *)0xFFFFF08C)
#define	V850ES_JG2_DDA1H	(*(volatile unsigned short *)0xFFFFF08E)
#define	V850ES_JG2_DSA2L	(*(volatile unsigned short *)0xFFFFF090)
#define	V850ES_JG2_DSA2H	(*(volatile unsigned short *)0xFFFFF092)
#define	V850ES_JG2_DDA2L	(*(volatile unsigned short *)0xFFFFF094)
#define	V850ES_JG2_DDA2H	(*(volatile unsigned short *)0xFFFFF096)
#define	V850ES_JG2_DSA3L	(*(volatile unsigned short *)0xFFFFF098)
#define	V850ES_JG2_DSA3H	(*(volatile unsigned short *)0xFFFFF09A)
#define	V850ES_JG2_DDA3L	(*(volatile unsigned short *)0xFFFFF09C)
#define	V850ES_JG2_DDA3H	(*(volatile unsigned short *)0xFFFFF09E)
#define	V850ES_JG2_DBC0		(*(volatile unsigned short *)0xFFFFF0C0)
#define	V850ES_JG2_DBC1		(*(volatile unsigned short *)0xFFFFF0C2)
#define	V850ES_JG2_DBC2		(*(volatile unsigned short *)0xFFFFF0C4)
#define	V850ES_JG2_DBC3		(*(volatile unsigned short *)0xFFFFF0C6)
#define	V850ES_JG2_DADC0	(*(volatile unsigned short *)0xFFFFF0D0)
#define	V850ES_JG2_DADC1	(*(volatile unsigned short *)0xFFFFF0D2)
#define	V850ES_JG2_DADC2	(*(volatile unsigned short *)0xFFFFF0D4)
#define	V850ES_JG2_DADC3	(*(volatile unsigned short *)0xFFFFF0D6)
#define	V850ES_JG2_DCHC0	(*(volatile unsigned char  *)0xFFFFF0E0)
#define	V850ES_JG2_DCHC1	(*(volatile unsigned char  *)0xFFFFF0E2)
#define	V850ES_JG2_DCHC2	(*(volatile unsigned char  *)0xFFFFF0E4)
#define	V850ES_JG2_DCHC3	(*(volatile unsigned char  *)0xFFFFF0E6)
#define	V850ES_JG2_IMR0		(*(volatile unsigned short *)0xFFFFF100)
#define	V850ES_JG2_IMR0L	(*(volatile unsigned char  *)0xFFFFF100)
#define	V850ES_JG2_IMR0H	(*(volatile unsigned char  *)0xFFFFF101)
#define	V850ES_JG2_IMR1		(*(volatile unsigned short *)0xFFFFF102)
#define	V850ES_JG2_IMR1L	(*(volatile unsigned char  *)0xFFFFF102)
#define	V850ES_JG2_IMR1H	(*(volatile unsigned char  *)0xFFFFF103)
#define	V850ES_JG2_IMR2		(*(volatile unsigned short *)0xFFFFF104)
#define	V850ES_JG2_IMR2L	(*(volatile unsigned char  *)0xFFFFF104)
#define	V850ES_JG2_IMR2H	(*(volatile unsigned char  *)0xFFFFF105)
#define	V850ES_JG2_IMR3		(*(volatile unsigned short *)0xFFFFF106)
#define	V850ES_JG2_IMR3L	(*(volatile unsigned char  *)0xFFFFF106)
#define	V850ES_JG2_IMR3H	(*(volatile unsigned char  *)0xFFFFF107)
#define	V850ES_JG2_LVIIC	(*(volatile unsigned char  *)0xFFFFF110)
#define	V850ES_JG2_PIC0		(*(volatile unsigned char  *)0xFFFFF112)
#define	V850ES_JG2_PIC1		(*(volatile unsigned char  *)0xFFFFF114)
#define	V850ES_JG2_PIC2		(*(volatile unsigned char  *)0xFFFFF116)
#define	V850ES_JG2_PIC3		(*(volatile unsigned char  *)0xFFFFF118)
#define	V850ES_JG2_PIC4		(*(volatile unsigned char  *)0xFFFFF11A)
#define	V850ES_JG2_PIC5		(*(volatile unsigned char  *)0xFFFFF11C)
#define	V850ES_JG2_PIC6		(*(volatile unsigned char  *)0xFFFFF11E)
#define	V850ES_JG2_PIC7		(*(volatile unsigned char  *)0xFFFFF120)
#define	V850ES_JG2_TQ0OVIC	(*(volatile unsigned char  *)0xFFFFF122)
#define	V850ES_JG2_TQ0CCIC0	(*(volatile unsigned char  *)0xFFFFF124)
#define	V850ES_JG2_TQ0CCIC1	(*(volatile unsigned char  *)0xFFFFF126)
#define	V850ES_JG2_TQ0CCIC2	(*(volatile unsigned char  *)0xFFFFF128)
#define	V850ES_JG2_TQ0CCIC3	(*(volatile unsigned char  *)0xFFFFF12A)
#define	V850ES_JG2_TP0OVIC	(*(volatile unsigned char  *)0xFFFFF12C)
#define	V850ES_JG2_TP0CCIC0	(*(volatile unsigned char  *)0xFFFFF12E)
#define	V850ES_JG2_TP0CCIC1	(*(volatile unsigned char  *)0xFFFFF130)
#define	V850ES_JG2_TP1OVIC	(*(volatile unsigned char  *)0xFFFFF132)
#define	V850ES_JG2_TP1CCIC0	(*(volatile unsigned char  *)0xFFFFF134)
#define	V850ES_JG2_TP1CCIC1	(*(volatile unsigned char  *)0xFFFFF136)
#define	V850ES_JG2_TP2OVIC	(*(volatile unsigned char  *)0xFFFFF138)
#define	V850ES_JG2_TP2CCIC0	(*(volatile unsigned char  *)0xFFFFF13A)
#define	V850ES_JG2_TP2CCIC1	(*(volatile unsigned char  *)0xFFFFF13C)
#define	V850ES_JG2_TP3OVIC	(*(volatile unsigned char  *)0xFFFFF13E)
#define	V850ES_JG2_TP3CCIC0	(*(volatile unsigned char  *)0xFFFFF140)
#define	V850ES_JG2_TP3CCIC1	(*(volatile unsigned char  *)0xFFFFF142)
#define	V850ES_JG2_TP4OVIC	(*(volatile unsigned char  *)0xFFFFF144)
#define	V850ES_JG2_TP4CCIC0	(*(volatile unsigned char  *)0xFFFFF146)
#define	V850ES_JG2_TP4CCIC1	(*(volatile unsigned char  *)0xFFFFF148)
#define	V850ES_JG2_TP5OVIC	(*(volatile unsigned char  *)0xFFFFF14A)
#define	V850ES_JG2_TP5CCIC0	(*(volatile unsigned char  *)0xFFFFF14C)
#define	V850ES_JG2_TP5CCIC1	(*(volatile unsigned char  *)0xFFFFF14E)
#define	V850ES_JG2_TM0EQIC0	(*(volatile unsigned char  *)0xFFFFF150)
#define	V850ES_JG2_CB0RIC	(*(volatile unsigned char  *)0xFFFFF152)
#define	V850ES_JG2_IICIC1	(*(volatile unsigned char  *)0xFFFFF152)
#define	V850ES_JG2_CB0TIC	(*(volatile unsigned char  *)0xFFFFF154)
#define	V850ES_JG2_CB1RIC	(*(volatile unsigned char  *)0xFFFFF156)
#define	V850ES_JG2_CB1TIC	(*(volatile unsigned char  *)0xFFFFF158)
#define	V850ES_JG2_CB2RIC	(*(volatile unsigned char  *)0xFFFFF15A)
#define	V850ES_JG2_CB2TIC	(*(volatile unsigned char  *)0xFFFFF15C)
#define	V850ES_JG2_CB3RIC	(*(volatile unsigned char  *)0xFFFFF15E)
#define	V850ES_JG2_CB3TIC	(*(volatile unsigned char  *)0xFFFFF160)
#define	V850ES_JG2_UA0RIC	(*(volatile unsigned char  *)0xFFFFF162)
#define	V850ES_JG2_CB4RIC	(*(volatile unsigned char  *)0xFFFFF162)
#define	V850ES_JG2_UA0TIC	(*(volatile unsigned char  *)0xFFFFF164)
#define	V850ES_JG2_CB4TIC	(*(volatile unsigned char  *)0xFFFFF164)
#define	V850ES_JG2_UA1RIC	(*(volatile unsigned char  *)0xFFFFF166)
#define	V850ES_JG2_IICIC2	(*(volatile unsigned char  *)0xFFFFF166)
#define	V850ES_JG2_UA1TIC	(*(volatile unsigned char  *)0xFFFFF168)
#define	V850ES_JG2_UA2RIC	(*(volatile unsigned char  *)0xFFFFF16A)
#define	V850ES_JG2_IICIC0	(*(volatile unsigned char  *)0xFFFFF16A)
#define	V850ES_JG2_UA2TIC	(*(volatile unsigned char  *)0xFFFFF16C)
#define	V850ES_JG2_ADIC		(*(volatile unsigned char  *)0xFFFFF16E)
#define	V850ES_JG2_DMAIC0	(*(volatile unsigned char  *)0xFFFFF170)
#define	V850ES_JG2_DMAIC1	(*(volatile unsigned char  *)0xFFFFF172)
#define	V850ES_JG2_DMAIC2	(*(volatile unsigned char  *)0xFFFFF174)
#define	V850ES_JG2_DMAIC3	(*(volatile unsigned char  *)0xFFFFF176)
#define	V850ES_JG2_KRIC		(*(volatile unsigned char  *)0xFFFFF178)
#define	V850ES_JG2_WTIIC	(*(volatile unsigned char  *)0xFFFFF17A)
#define	V850ES_JG2_WTIC		(*(volatile unsigned char  *)0xFFFFF17C)
#define	V850ES_JG2_ISPR		(*(volatile unsigned char  *)0xFFFFF1FA)
#define	V850ES_JG2_PRCMD	(*(volatile unsigned char  *)0xFFFFF1FC)
#define	V850ES_JG2_PSC		(*(volatile unsigned char  *)0xFFFFF1FE)
#define	V850ES_JG2_ADA0M0	(*(volatile unsigned char  *)0xFFFFF200)
#define	V850ES_JG2_ADA0M1	(*(volatile unsigned char  *)0xFFFFF201)
#define	V850ES_JG2_ADA0S	(*(volatile unsigned char  *)0xFFFFF202)
#define	V850ES_JG2_ADA0M2	(*(volatile unsigned char  *)0xFFFFF203)
#define	V850ES_JG2_ADA0PFM	(*(volatile unsigned char  *)0xFFFFF204)
#define	V850ES_JG2_ADA0PFT	(*(volatile unsigned char  *)0xFFFFF205)
#define	V850ES_JG2_ADA0CR0	(*(volatile unsigned short *)0xFFFFF210)
#define	V850ES_JG2_ADA0CR0H	(*(volatile unsigned char  *)0xFFFFF211)
#define	V850ES_JG2_ADA0CR1	(*(volatile unsigned short *)0xFFFFF212)
#define	V850ES_JG2_ADA0CR1H	(*(volatile unsigned char  *)0xFFFFF213)
#define	V850ES_JG2_ADA0CR2	(*(volatile unsigned short *)0xFFFFF214)
#define	V850ES_JG2_ADA0CR2H	(*(volatile unsigned char  *)0xFFFFF215)
#define	V850ES_JG2_ADA0CR3	(*(volatile unsigned short *)0xFFFFF216)
#define	V850ES_JG2_ADA0CR3H	(*(volatile unsigned char  *)0xFFFFF217)
#define	V850ES_JG2_ADA0CR4	(*(volatile unsigned short *)0xFFFFF218)
#define	V850ES_JG2_ADA0CR4H	(*(volatile unsigned char  *)0xFFFFF219)
#define	V850ES_JG2_ADA0CR5	(*(volatile unsigned short *)0xFFFFF21A)
#define	V850ES_JG2_ADA0CR5H	(*(volatile unsigned char  *)0xFFFFF21B)
#define	V850ES_JG2_ADA0CR6	(*(volatile unsigned short *)0xFFFFF21C)
#define	V850ES_JG2_ADA0CR6H	(*(volatile unsigned char  *)0xFFFFF21D)
#define	V850ES_JG2_ADA0CR7	(*(volatile unsigned short *)0xFFFFF21E)
#define	V850ES_JG2_ADA0CR7H	(*(volatile unsigned char  *)0xFFFFF21F)
#define	V850ES_JG2_ADA0CR8	(*(volatile unsigned short *)0xFFFFF220)
#define	V850ES_JG2_ADA0CR8H	(*(volatile unsigned char  *)0xFFFFF221)
#define	V850ES_JG2_ADA0CR9	(*(volatile unsigned short *)0xFFFFF222)
#define	V850ES_JG2_ADA0CR9H	(*(volatile unsigned char  *)0xFFFFF223)
#define	V850ES_JG2_ADA0CR10	(*(volatile unsigned short *)0xFFFFF224)
#define	V850ES_JG2_ADA0CR10H	(*(volatile unsigned char  *)0xFFFFF225)
#define	V850ES_JG2_ADA0CR11	(*(volatile unsigned short *)0xFFFFF226)
#define	V850ES_JG2_ADA0CR11H	(*(volatile unsigned char  *)0xFFFFF227)
#define	V850ES_JG2_DA0CS0	(*(volatile unsigned char  *)0xFFFFF280)
#define	V850ES_JG2_DA0CS1	(*(volatile unsigned char  *)0xFFFFF281)
#define	V850ES_JG2_DA0M		(*(volatile unsigned char  *)0xFFFFF282)
#define	V850ES_JG2_KRM		(*(volatile unsigned char  *)0xFFFFF300)
#define	V850ES_JG2_SELCNT0	(*(volatile unsigned char  *)0xFFFFF308)
#define	V850ES_JG2_NFC		(*(volatile unsigned char  *)0xFFFFF318)
#define	V850ES_JG2_PRSM1	(*(volatile unsigned char  *)0xFFFFF320)
#define	V850ES_JG2_PRSCM1	(*(volatile unsigned char  *)0xFFFFF321)
#define	V850ES_JG2_PRSM2	(*(volatile unsigned char  *)0xFFFFF324)
#define	V850ES_JG2_PRSCM2	(*(volatile unsigned char  *)0xFFFFF325)
#define	V850ES_JG2_PRSM3	(*(volatile unsigned char  *)0xFFFFF328)
#define	V850ES_JG2_PRSCM3	(*(volatile unsigned char  *)0xFFFFF329)
#define	V850ES_JG2_OCKS0	(*(volatile unsigned char  *)0xFFFFF340)
#define	V850ES_JG2_OCKS1	(*(volatile unsigned char  *)0xFFFFF344)
#define	V850ES_JG2_P0		(*(volatile unsigned char  *)0xFFFFF400)
#define	V850ES_JG2_P1		(*(volatile unsigned char  *)0xFFFFF402)
#define	V850ES_JG2_P3		(*(volatile unsigned short *)0xFFFFF406)
#define	V850ES_JG2_P3L		(*(volatile unsigned char  *)0xFFFFF406)
#define	V850ES_JG2_P3H		(*(volatile unsigned char  *)0xFFFFF407)
#define	V850ES_JG2_P4		(*(volatile unsigned char  *)0xFFFFF408)
#define	V850ES_JG2_P5		(*(volatile unsigned char  *)0xFFFFF40A)
#define	V850ES_JG2_P7L		(*(volatile unsigned char  *)0xFFFFF40E)
#define	V850ES_JG2_P7H		(*(volatile unsigned char  *)0xFFFFF40F)
#define	V850ES_JG2_P9		(*(volatile unsigned short *)0xFFFFF412)
#define	V850ES_JG2_P9L		(*(volatile unsigned char  *)0xFFFFF412)
#define	V850ES_JG2_P9H		(*(volatile unsigned char  *)0xFFFFF413)
#define	V850ES_JG2_PM0		(*(volatile unsigned char  *)0xFFFFF420)
#define	V850ES_JG2_PM1		(*(volatile unsigned char  *)0xFFFFF422)
#define	V850ES_JG2_PM3		(*(volatile unsigned short *)0xFFFFF426)
#define	V850ES_JG2_PM3L		(*(volatile unsigned char  *)0xFFFFF426)
#define	V850ES_JG2_PM3H		(*(volatile unsigned char  *)0xFFFFF427)
#define	V850ES_JG2_PM4		(*(volatile unsigned char  *)0xFFFFF428)
#define	V850ES_JG2_PM5		(*(volatile unsigned char  *)0xFFFFF42A)
#define	V850ES_JG2_PM7L		(*(volatile unsigned char  *)0xFFFFF42E)
#define	V850ES_JG2_PM7H		(*(volatile unsigned char  *)0xFFFFF42F)
#define	V850ES_JG2_PM9		(*(volatile unsigned short *)0xFFFFF432)
#define	V850ES_JG2_PM9L		(*(volatile unsigned char  *)0xFFFFF432)
#define	V850ES_JG2_PM9H		(*(volatile unsigned char  *)0xFFFFF433)
#define	V850ES_JG2_PMC0		(*(volatile unsigned char  *)0xFFFFF440)
#define	V850ES_JG2_PMC3		(*(volatile unsigned short *)0xFFFFF446)
#define	V850ES_JG2_PMC3L	(*(volatile unsigned char  *)0xFFFFF446)
#define	V850ES_JG2_PMC3H	(*(volatile unsigned char  *)0xFFFFF447)
#define	V850ES_JG2_PMC4		(*(volatile unsigned char  *)0xFFFFF448)
#define	V850ES_JG2_PMC5		(*(volatile unsigned char  *)0xFFFFF44A)
#define	V850ES_JG2_PMC9		(*(volatile unsigned short *)0xFFFFF452)
#define	V850ES_JG2_PMC9L	(*(volatile unsigned char  *)0xFFFFF452)
#define	V850ES_JG2_PMC9H	(*(volatile unsigned char  *)0xFFFFF453)
#define	V850ES_JG2_PFC0		(*(volatile unsigned char  *)0xFFFFF460)
#define	V850ES_JG2_PFC3		(*(volatile unsigned short *)0xFFFFF466)
#define	V850ES_JG2_PFC3L	(*(volatile unsigned char  *)0xFFFFF466)
#define	V850ES_JG2_PFC3H	(*(volatile unsigned char  *)0xFFFFF467)
#define	V850ES_JG2_PFC4		(*(volatile unsigned char  *)0xFFFFF468)
#define	V850ES_JG2_PFC5		(*(volatile unsigned char  *)0xFFFFF46A)
#define	V850ES_JG2_PFC9		(*(volatile unsigned short *)0xFFFFF472)
#define	V850ES_JG2_PFC9L	(*(volatile unsigned char  *)0xFFFFF472)
#define	V850ES_JG2_PFC9H	(*(volatile unsigned char  *)0xFFFFF473)
#define	V850ES_JG2_DWC0		(*(volatile unsigned short *)0xFFFFF484)
#define	V850ES_JG2_AWC		(*(volatile unsigned short *)0xFFFFF488)
#define	V850ES_JG2_BCC		(*(volatile unsigned short *)0xFFFFF48A)
#define	V850ES_JG2_TQ0CTL0	(*(volatile unsigned char  *)0xFFFFF540)
#define	V850ES_JG2_TQ0CTL1	(*(volatile unsigned char  *)0xFFFFF541)
#define	V850ES_JG2_TQ0IOC0	(*(volatile unsigned char  *)0xFFFFF542)
#define	V850ES_JG2_TQ0IOC1	(*(volatile unsigned char  *)0xFFFFF543)
#define	V850ES_JG2_TQ0IOC2	(*(volatile unsigned char  *)0xFFFFF544)
#define	V850ES_JG2_TQ0OPT0	(*(volatile unsigned char  *)0xFFFFF545)
#define	V850ES_JG2_TQ0CCR0	(*(volatile unsigned short *)0xFFFFF546)
#define	V850ES_JG2_TQ0CCR1	(*(volatile unsigned short *)0xFFFFF548)
#define	V850ES_JG2_TQ0CCR2	(*(volatile unsigned short *)0xFFFFF54A)
#define	V850ES_JG2_TQ0CCR3	(*(volatile unsigned short *)0xFFFFF54C)
#define	V850ES_JG2_TQ0CNT	(*(volatile unsigned short *)0xFFFFF54E)
#define	V850ES_JG2_TP0CTL0	(*(volatile unsigned char  *)0xFFFFF590)
#define	V850ES_JG2_TP0CTL1	(*(volatile unsigned char  *)0xFFFFF591)
#define	V850ES_JG2_TP0IOC0	(*(volatile unsigned char  *)0xFFFFF592)
#define	V850ES_JG2_TP0IOC1	(*(volatile unsigned char  *)0xFFFFF593)
#define	V850ES_JG2_TP0IOC2	(*(volatile unsigned char  *)0xFFFFF594)
#define	V850ES_JG2_TP0OPT0	(*(volatile unsigned char  *)0xFFFFF595)
#define	V850ES_JG2_TP0CCR0	(*(volatile unsigned short *)0xFFFFF596)
#define	V850ES_JG2_TP0CCR1	(*(volatile unsigned short *)0xFFFFF598)
#define	V850ES_JG2_TP0CNT	(*(volatile unsigned short *)0xFFFFF59A)
#define	V850ES_JG2_TP1CTL0	(*(volatile unsigned char  *)0xFFFFF5A0)
#define	V850ES_JG2_TP1CTL1	(*(volatile unsigned char  *)0xFFFFF5A1)
#define	V850ES_JG2_TP1IOC0	(*(volatile unsigned char  *)0xFFFFF5A2)
#define	V850ES_JG2_TP1IOC1	(*(volatile unsigned char  *)0xFFFFF5A3)
#define	V850ES_JG2_TP1IOC2	(*(volatile unsigned char  *)0xFFFFF5A4)
#define	V850ES_JG2_TP1OPT0	(*(volatile unsigned char  *)0xFFFFF5A5)
#define	V850ES_JG2_TP1CCR0	(*(volatile unsigned short *)0xFFFFF5A6)
#define	V850ES_JG2_TP1CCR1	(*(volatile unsigned short *)0xFFFFF5A8)
#define	V850ES_JG2_TP1CNT	(*(volatile unsigned short *)0xFFFFF5AA)
#define	V850ES_JG2_TP2CTL0	(*(volatile unsigned char  *)0xFFFFF5B0)
#define	V850ES_JG2_TP2CTL1	(*(volatile unsigned char  *)0xFFFFF5B1)
#define	V850ES_JG2_TP2IOC0	(*(volatile unsigned char  *)0xFFFFF5B2)
#define	V850ES_JG2_TP2IOC1	(*(volatile unsigned char  *)0xFFFFF5B3)
#define	V850ES_JG2_TP2IOC2	(*(volatile unsigned char  *)0xFFFFF5B4)
#define	V850ES_JG2_TP2OPT0	(*(volatile unsigned char  *)0xFFFFF5B5)
#define	V850ES_JG2_TP2CCR0	(*(volatile unsigned short *)0xFFFFF5B6)
#define	V850ES_JG2_TP2CCR1	(*(volatile unsigned short *)0xFFFFF5B8)
#define	V850ES_JG2_TP2CNT	(*(volatile unsigned short *)0xFFFFF5BA)
#define	V850ES_JG2_TP3CTL0	(*(volatile unsigned char  *)0xFFFFF5C0)
#define	V850ES_JG2_TP3CTL1	(*(volatile unsigned char  *)0xFFFFF5C1)
#define	V850ES_JG2_TP3IOC0	(*(volatile unsigned char  *)0xFFFFF5C2)
#define	V850ES_JG2_TP3IOC1	(*(volatile unsigned char  *)0xFFFFF5C3)
#define	V850ES_JG2_TP3IOC2	(*(volatile unsigned char  *)0xFFFFF5C4)
#define	V850ES_JG2_TP3OPT0	(*(volatile unsigned char  *)0xFFFFF5C5)
#define	V850ES_JG2_TP3CCR0	(*(volatile unsigned short *)0xFFFFF5C6)
#define	V850ES_JG2_TP3CCR1	(*(volatile unsigned short *)0xFFFFF5C8)
#define	V850ES_JG2_TP3CNT	(*(volatile unsigned short *)0xFFFFF5CA)
#define	V850ES_JG2_TP4CTL0	(*(volatile unsigned char  *)0xFFFFF5D0)
#define	V850ES_JG2_TP4CTL1	(*(volatile unsigned char  *)0xFFFFF5D1)
#define	V850ES_JG2_TP4IOC0	(*(volatile unsigned char  *)0xFFFFF5D2)
#define	V850ES_JG2_TP4IOC1	(*(volatile unsigned char  *)0xFFFFF5D3)
#define	V850ES_JG2_TP4IOC2	(*(volatile unsigned char  *)0xFFFFF5D4)
#define	V850ES_JG2_TP4OPT0	(*(volatile unsigned char  *)0xFFFFF5D5)
#define	V850ES_JG2_TP4CCR0	(*(volatile unsigned short *)0xFFFFF5D6)
#define	V850ES_JG2_TP4CCR1	(*(volatile unsigned short *)0xFFFFF5D8)
#define	V850ES_JG2_TP4CNT	(*(volatile unsigned short *)0xFFFFF5DA)
#define	V850ES_JG2_TP5CTL0	(*(volatile unsigned char  *)0xFFFFF5E0)
#define	V850ES_JG2_TP5CTL1	(*(volatile unsigned char  *)0xFFFFF5E1)
#define	V850ES_JG2_TP5IOC0	(*(volatile unsigned char  *)0xFFFFF5E2)
#define	V850ES_JG2_TP5IOC1	(*(volatile unsigned char  *)0xFFFFF5E3)
#define	V850ES_JG2_TP5IOC2	(*(volatile unsigned char  *)0xFFFFF5E4)
#define	V850ES_JG2_TP5OPT0	(*(volatile unsigned char  *)0xFFFFF5E5)
#define	V850ES_JG2_TP5CCR0	(*(volatile unsigned short *)0xFFFFF5E6)
#define	V850ES_JG2_TP5CCR1	(*(volatile unsigned short *)0xFFFFF5E8)
#define	V850ES_JG2_TP5CNT	(*(volatile unsigned short *)0xFFFFF5EA)
#define	V850ES_JG2_WTM		(*(volatile unsigned char  *)0xFFFFF680)
#define	V850ES_JG2_TM0CTL0	(*(volatile unsigned char  *)0xFFFFF690)
#define	V850ES_JG2_TM0CMP0	(*(volatile unsigned short *)0xFFFFF694)
#define	V850ES_JG2_OSTS		(*(volatile unsigned char  *)0xFFFFF6C0)
#define	V850ES_JG2_PLLS		(*(volatile unsigned char  *)0xFFFFF6C1)
#define	V850ES_JG2_WDTM2	(*(volatile unsigned char  *)0xFFFFF6D0)
#define	V850ES_JG2_WDTE		(*(volatile unsigned char  *)0xFFFFF6D1)
#define	V850ES_JG2_RTBL0	(*(volatile unsigned char  *)0xFFFFF6E0)
#define	V850ES_JG2_RTBH0	(*(volatile unsigned char  *)0xFFFFF6E2)
#define	V850ES_JG2_RTPM0	(*(volatile unsigned char  *)0xFFFFF6E4)
#define	V850ES_JG2_RTPC0	(*(volatile unsigned char  *)0xFFFFF6E5)
#define	V850ES_JG2_PFCE3L	(*(volatile unsigned char  *)0xFFFFF706)
#define	V850ES_JG2_PFCE5	(*(volatile unsigned char  *)0xFFFFF70A)
#define	V850ES_JG2_PFCE9	(*(volatile unsigned short *)0xFFFFF712)
#define	V850ES_JG2_PFCE9L	(*(volatile unsigned char  *)0xFFFFF712)
#define	V850ES_JG2_PFCE9H	(*(volatile unsigned char  *)0xFFFFF713)
#define	V850ES_JG2_SYS		(*(volatile unsigned char  *)0xFFFFF802)
#define	V850ES_JG2_RCM		(*(volatile unsigned char  *)0xFFFFF80C)
#define	V850ES_JG2_DTFR0	(*(volatile unsigned char  *)0xFFFFF810)
#define	V850ES_JG2_DTFR1	(*(volatile unsigned char  *)0xFFFFF812)
#define	V850ES_JG2_DTFR2	(*(volatile unsigned char  *)0xFFFFF814)
#define	V850ES_JG2_DTFR3	(*(volatile unsigned char  *)0xFFFFF816)
#define	V850ES_JG2_PSMR		(*(volatile unsigned char  *)0xFFFFF820)
#define	V850ES_JG2_CKC		(*(volatile unsigned char  *)0xFFFFF822)
#define	V850ES_JG2_LOCKR	(*(volatile unsigned char  *)0xFFFFF824)
#define	V850ES_JG2_PCC		(*(volatile unsigned char  *)0xFFFFF828)
#define	V850ES_JG2_PLLCTL	(*(volatile unsigned char  *)0xFFFFF82C)
#define	V850ES_JG2_CCLS		(*(volatile unsigned char  *)0xFFFFF82E)
#define	V850ES_JG2_CLM		(*(volatile unsigned char  *)0xFFFFF870)
#define	V850ES_JG2_RESF		(*(volatile unsigned char  *)0xFFFFF888)
#define	V850ES_JG2_LVIM		(*(volatile unsigned char  *)0xFFFFF890)
#define	V850ES_JG2_LVIS		(*(volatile unsigned char  *)0xFFFFF891)
#define	V850ES_JG2_RAMS		(*(volatile unsigned char  *)0xFFFFF892)
#define	V850ES_JG2_PRSM0	(*(volatile unsigned char  *)0xFFFFF8B0)
#define	V850ES_JG2_PRSCM0	(*(volatile unsigned char  *)0xFFFFF8B1)
#define	V850ES_JG2_OCDM		(*(volatile unsigned char  *)0xFFFFF9FC)
#define	V850ES_JG2_PEMU1	(*(volatile unsigned char  *)0xFFFFF9FE)
#define	V850ES_JG2_UA0CTL0	(*(volatile unsigned char  *)0xFFFFFA00)
#define	V850ES_JG2_UA0CTL1	(*(volatile unsigned char  *)0xFFFFFA01)
#define	V850ES_JG2_UA0CTL2	(*(volatile unsigned char  *)0xFFFFFA02)
#define	V850ES_JG2_UA0OPT0	(*(volatile unsigned char  *)0xFFFFFA03)
#define	V850ES_JG2_UA0STR	(*(volatile unsigned char  *)0xFFFFFA04)
#define	V850ES_JG2_UA0RX	(*(volatile unsigned char  *)0xFFFFFA06)
#define	V850ES_JG2_UA0TX	(*(volatile unsigned char  *)0xFFFFFA07)
#define	V850ES_JG2_UA1CTL0	(*(volatile unsigned char  *)0xFFFFFA10)
#define	V850ES_JG2_UA1CTL1	(*(volatile unsigned char  *)0xFFFFFA11)
#define	V850ES_JG2_UA1CTL2	(*(volatile unsigned char  *)0xFFFFFA12)
#define	V850ES_JG2_UA1OPT0	(*(volatile unsigned char  *)0xFFFFFA13)
#define	V850ES_JG2_UA1STR	(*(volatile unsigned char  *)0xFFFFFA14)
#define	V850ES_JG2_UA1RX	(*(volatile unsigned char  *)0xFFFFFA16)
#define	V850ES_JG2_UA1TX	(*(volatile unsigned char  *)0xFFFFFA17)
#define	V850ES_JG2_UA2CTL0	(*(volatile unsigned char  *)0xFFFFFA20)
#define	V850ES_JG2_UA2CTL1	(*(volatile unsigned char  *)0xFFFFFA21)
#define	V850ES_JG2_UA2CTL2	(*(volatile unsigned char  *)0xFFFFFA22)
#define	V850ES_JG2_UA2OPT0	(*(volatile unsigned char  *)0xFFFFFA23)
#define	V850ES_JG2_UA2STR	(*(volatile unsigned char  *)0xFFFFFA24)
#define	V850ES_JG2_UA2RX	(*(volatile unsigned char  *)0xFFFFFA26)
#define	V850ES_JG2_UA2TX	(*(volatile unsigned char  *)0xFFFFFA27)
#define	V850ES_JG2_INTF0	(*(volatile unsigned char  *)0xFFFFFC00)
#define	V850ES_JG2_INTF3	(*(volatile unsigned char  *)0xFFFFFC06)
#define	V850ES_JG2_INTF9H	(*(volatile unsigned char  *)0xFFFFFC13)
#define	V850ES_JG2_INTR0	(*(volatile unsigned char  *)0xFFFFFC20)
#define	V850ES_JG2_INTR3	(*(volatile unsigned char  *)0xFFFFFC26)
#define	V850ES_JG2_INTR9H	(*(volatile unsigned char  *)0xFFFFFC33)
#define	V850ES_JG2_PF0		(*(volatile unsigned char  *)0xFFFFFC60)
#define	V850ES_JG2_PF3		(*(volatile unsigned short *)0xFFFFFC66)
#define	V850ES_JG2_PF3L		(*(volatile unsigned char  *)0xFFFFFC66)
#define	V850ES_JG2_PF3H		(*(volatile unsigned char  *)0xFFFFFC67)
#define	V850ES_JG2_PF4		(*(volatile unsigned char  *)0xFFFFFC68)
#define	V850ES_JG2_PF5		(*(volatile unsigned char  *)0xFFFFFC6A)
#define	V850ES_JG2_PF9		(*(volatile unsigned short *)0xFFFFFC72)
#define	V850ES_JG2_PF9L		(*(volatile unsigned char  *)0xFFFFFC72)
#define	V850ES_JG2_PF9H		(*(volatile unsigned char  *)0xFFFFFC73)
#define	V850ES_JG2_CB0CTL0	(*(volatile unsigned char  *)0xFFFFFD00)
#define	V850ES_JG2_CB0CTL1	(*(volatile unsigned char  *)0xFFFFFD01)
#define	V850ES_JG2_CB0CTL2	(*(volatile unsigned char  *)0xFFFFFD02)
#define	V850ES_JG2_CB0STR	(*(volatile unsigned char  *)0xFFFFFD03)
#define	V850ES_JG2_CB0RX	(*(volatile unsigned short *)0xFFFFFD04)
#define	V850ES_JG2_CB0RXL	(*(volatile unsigned char  *)0xFFFFFD04)
#define	V850ES_JG2_CB0TX	(*(volatile unsigned short *)0xFFFFFD06)
#define	V850ES_JG2_CB0TXL	(*(volatile unsigned char  *)0xFFFFFD06)
#define	V850ES_JG2_CB1CTL0	(*(volatile unsigned char  *)0xFFFFFD10)
#define	V850ES_JG2_CB1CTL1	(*(volatile unsigned char  *)0xFFFFFD11)
#define	V850ES_JG2_CB1CTL2	(*(volatile unsigned char  *)0xFFFFFD12)
#define	V850ES_JG2_CB1STR	(*(volatile unsigned char  *)0xFFFFFD13)
#define	V850ES_JG2_CB1RX	(*(volatile unsigned short *)0xFFFFFD14)
#define	V850ES_JG2_CB1RXL	(*(volatile unsigned char  *)0xFFFFFD14)
#define	V850ES_JG2_CB1TX	(*(volatile unsigned short *)0xFFFFFD16)
#define	V850ES_JG2_CB1TXL	(*(volatile unsigned char  *)0xFFFFFD16)
#define	V850ES_JG2_CB2CTL0	(*(volatile unsigned char  *)0xFFFFFD20)
#define	V850ES_JG2_CB2CTL1	(*(volatile unsigned char  *)0xFFFFFD21)
#define	V850ES_JG2_CB2CTL2	(*(volatile unsigned char  *)0xFFFFFD22)
#define	V850ES_JG2_CB2STR	(*(volatile unsigned char  *)0xFFFFFD23)
#define	V850ES_JG2_CB2RX	(*(volatile unsigned short *)0xFFFFFD24)
#define	V850ES_JG2_CB2RXL	(*(volatile unsigned char  *)0xFFFFFD24)
#define	V850ES_JG2_CB2TX	(*(volatile unsigned short *)0xFFFFFD26)
#define	V850ES_JG2_CB2TXL	(*(volatile unsigned char  *)0xFFFFFD26)
#define	V850ES_JG2_CB3CTL0	(*(volatile unsigned char  *)0xFFFFFD30)
#define	V850ES_JG2_CB3CTL1	(*(volatile unsigned char  *)0xFFFFFD31)
#define	V850ES_JG2_CB3CTL2	(*(volatile unsigned char  *)0xFFFFFD32)
#define	V850ES_JG2_CB3STR	(*(volatile unsigned char  *)0xFFFFFD33)
#define	V850ES_JG2_CB3RX	(*(volatile unsigned short *)0xFFFFFD34)
#define	V850ES_JG2_CB3RXL	(*(volatile unsigned char  *)0xFFFFFD34)
#define	V850ES_JG2_CB3TX	(*(volatile unsigned short *)0xFFFFFD36)
#define	V850ES_JG2_CB3TXL	(*(volatile unsigned char  *)0xFFFFFD36)
#define	V850ES_JG2_CB4CTL0	(*(volatile unsigned char  *)0xFFFFFD40)
#define	V850ES_JG2_CB4CTL1	(*(volatile unsigned char  *)0xFFFFFD41)
#define	V850ES_JG2_CB4CTL2	(*(volatile unsigned char  *)0xFFFFFD42)
#define	V850ES_JG2_CB4STR	(*(volatile unsigned char  *)0xFFFFFD43)
#define	V850ES_JG2_CB4RX	(*(volatile unsigned short *)0xFFFFFD44)
#define	V850ES_JG2_CB4RXL	(*(volatile unsigned char  *)0xFFFFFD44)
#define	V850ES_JG2_CB4TX	(*(volatile unsigned short *)0xFFFFFD46)
#define	V850ES_JG2_CB4TXL	(*(volatile unsigned char  *)0xFFFFFD46)
#define	V850ES_JG2_IIC0		(*(volatile unsigned char  *)0xFFFFFD80)
#define	V850ES_JG2_IICC0	(*(volatile unsigned char  *)0xFFFFFD82)
#define	V850ES_JG2_SVA0		(*(volatile unsigned char  *)0xFFFFFD83)
#define	V850ES_JG2_IICCL0	(*(volatile unsigned char  *)0xFFFFFD84)
#define	V850ES_JG2_IICX0	(*(volatile unsigned char  *)0xFFFFFD85)
#define	V850ES_JG2_IICS0	(*(volatile unsigned char  *)0xFFFFFD86)
#define	V850ES_JG2_IICF0	(*(volatile unsigned char  *)0xFFFFFD8A)
#define	V850ES_JG2_IIC		(*(volatile unsigned char  *)0xFFFFFD90)
#define	V850ES_JG2_IICC1	(*(volatile unsigned char  *)0xFFFFFD92)
#define	V850ES_JG2_SVA1		(*(volatile unsigned char  *)0xFFFFFD93)
#define	V850ES_JG2_IICCL1	(*(volatile unsigned char  *)0xFFFFFD94)
#define	V850ES_JG2_IICX1	(*(volatile unsigned char  *)0xFFFFFD95)
#define	V850ES_JG2_IICS1	(*(volatile unsigned char  *)0xFFFFFD96)
#define	V850ES_JG2_IICF1	(*(volatile unsigned char  *)0xFFFFFD9A)
#define	V850ES_JG2_IIC2		(*(volatile unsigned char  *)0xFFFFFDA0)
#define	V850ES_JG2_IICC2	(*(volatile unsigned char  *)0xFFFFFDA2)
#define	V850ES_JG2_SVA2		(*(volatile unsigned char  *)0xFFFFFDA3)
#define	V850ES_JG2_IICCL2	(*(volatile unsigned char  *)0xFFFFFDA4)
#define	V850ES_JG2_IICX2	(*(volatile unsigned char  *)0xFFFFFDA5)
#define	V850ES_JG2_IICS2	(*(volatile unsigned char  *)0xFFFFFDA6)
#define	V850ES_JG2_IICF2	(*(volatile unsigned char  *)0xFFFFFDAA)
#define	V850ES_JG2_EXIMC	(*(volatile unsigned char  *)0xFFFFFFBE)

/* PRCMDΥӥå */
#define V850ES_JG2_PRCMD_REG7			BIT7
#define V850ES_JG2_PRCMD_REG6			BIT6
#define V850ES_JG2_PRCMD_REG5			BIT5
#define V850ES_JG2_PRCMD_REG4			BIT4
#define V850ES_JG2_PRCMD_REG3			BIT3
#define V850ES_JG2_PRCMD_REG2			BIT2
#define V850ES_JG2_PRCMD_REG1			BIT1
#define V850ES_JG2_PRCMD_REG0			BIT0

/* SYSΥӥå */
#define V850ES_JG2_SYS_PRERR			BIT0

/* PnΥӥå */
#define V850ES_JG2_Pn15				BIT15
#define V850ES_JG2_Pn14				BIT14
#define V850ES_JG2_Pn13				BIT13
#define V850ES_JG2_Pn12				BIT12
#define V850ES_JG2_Pn11				BIT11
#define V850ES_JG2_Pn10				BIT10
#define V850ES_JG2_Pn9				BIT9
#define V850ES_JG2_Pn8				BIT8
#define V850ES_JG2_Pn7				BIT7
#define V850ES_JG2_Pn6				BIT6
#define V850ES_JG2_Pn5				BIT5
#define V850ES_JG2_Pn4				BIT4
#define V850ES_JG2_Pn3				BIT3
#define V850ES_JG2_Pn2				BIT2
#define V850ES_JG2_Pn1				BIT1
#define V850ES_JG2_Pn0				BIT0

/* PMnΥӥå */
#define V850ES_JG2_PMn15			BIT15
#define V850ES_JG2_PMn14			BIT14
#define V850ES_JG2_PMn13			BIT13
#define V850ES_JG2_PMn12			BIT12
#define V850ES_JG2_PMn11			BIT11
#define V850ES_JG2_PMn10			BIT10
#define V850ES_JG2_PMn9				BIT9
#define V850ES_JG2_PMn8				BIT8
#define V850ES_JG2_PMn7				BIT7
#define V850ES_JG2_PMn6				BIT6
#define V850ES_JG2_PMn5				BIT5
#define V850ES_JG2_PMn4				BIT4
#define V850ES_JG2_PMn3				BIT3
#define V850ES_JG2_PMn2				BIT2
#define V850ES_JG2_PMn1				BIT1
#define V850ES_JG2_PMn0				BIT0

/* PMCnΥӥå */
#define V850ES_JG2_PMCn15			BIT15
#define V850ES_JG2_PMCn14			BIT14
#define V850ES_JG2_PMCn13			BIT13
#define V850ES_JG2_PMCn12			BIT12
#define V850ES_JG2_PMCn11			BIT11
#define V850ES_JG2_PMCn10			BIT10
#define V850ES_JG2_PMCn9			BIT9
#define V850ES_JG2_PMCn8			BIT8
#define V850ES_JG2_PMCn7			BIT7
#define V850ES_JG2_PMCn6			BIT6
#define V850ES_JG2_PMCn5			BIT5
#define V850ES_JG2_PMCn4			BIT4
#define V850ES_JG2_PMCn3			BIT3
#define V850ES_JG2_PMCn2			BIT2
#define V850ES_JG2_PMCn1			BIT1
#define V850ES_JG2_PMCn0			BIT0

/* PFCnΥӥå */
#define V850ES_JG2_PFCn15			BIT15
#define V850ES_JG2_PFCn14			BIT14
#define V850ES_JG2_PFCn13			BIT13
#define V850ES_JG2_PFCn12			BIT12
#define V850ES_JG2_PFCn11			BIT11
#define V850ES_JG2_PFCn10			BIT10
#define V850ES_JG2_PFCn9			BIT9
#define V850ES_JG2_PFCn8			BIT8
#define V850ES_JG2_PFCn7			BIT7
#define V850ES_JG2_PFCn6			BIT6
#define V850ES_JG2_PFCn5			BIT5
#define V850ES_JG2_PFCn4			BIT4
#define V850ES_JG2_PFCn3			BIT3
#define V850ES_JG2_PFCn2			BIT2
#define V850ES_JG2_PFCn1			BIT1
#define V850ES_JG2_PFCn0			BIT0

/* PFCEnΥӥå */
#define V850ES_JG2_PFCEn15			BIT15
#define V850ES_JG2_PFCEn14			BIT14
#define V850ES_JG2_PFCEn13			BIT13
#define V850ES_JG2_PFCEn12			BIT12
#define V850ES_JG2_PFCEn11			BIT11
#define V850ES_JG2_PFCEn10			BIT10
#define V850ES_JG2_PFCEn9			BIT9
#define V850ES_JG2_PFCEn8			BIT8
#define V850ES_JG2_PFCEn7			BIT7
#define V850ES_JG2_PFCEn6			BIT6
#define V850ES_JG2_PFCEn5			BIT5
#define V850ES_JG2_PFCEn4			BIT4
#define V850ES_JG2_PFCEn3			BIT3
#define V850ES_JG2_PFCEn2			BIT2
#define V850ES_JG2_PFCEn1			BIT1
#define V850ES_JG2_PFCEn0			BIT0

/* PFnΥӥå */
#define V850ES_JG2_PFn15			BIT15
#define V850ES_JG2_PFn14			BIT14
#define V850ES_JG2_PFn13			BIT13
#define V850ES_JG2_PFn12			BIT12
#define V850ES_JG2_PFn11			BIT11
#define V850ES_JG2_PFn10			BIT10
#define V850ES_JG2_PFn9				BIT9
#define V850ES_JG2_PFn8				BIT8
#define V850ES_JG2_PFn7				BIT7
#define V850ES_JG2_PFn6				BIT6
#define V850ES_JG2_PFn5				BIT5
#define V850ES_JG2_PFn4				BIT4
#define V850ES_JG2_PFn3				BIT3
#define V850ES_JG2_PFn2				BIT2
#define V850ES_JG2_PFn1				BIT1
#define V850ES_JG2_PFn0				BIT0

/* P0Υӥå */
#define V850ES_JG2_P0_P06			V850ES_JG2_Pn6
#define V850ES_JG2_P0_P05			V850ES_JG2_Pn5
#define V850ES_JG2_P0_P04			V850ES_JG2_Pn4
#define V850ES_JG2_P0_P03			V850ES_JG2_Pn3
#define V850ES_JG2_P0_P02			V850ES_JG2_Pn2

/* PM0Υӥå */
#define V850ES_JG2_PM0_PM06			V850ES_JG2_PMn6
#define V850ES_JG2_PM0_PM05			V850ES_JG2_PMn5
#define V850ES_JG2_PM0_PM04			V850ES_JG2_PMn4
#define V850ES_JG2_PM0_PM03			V850ES_JG2_PMn3
#define V850ES_JG2_PM0_PM02			V850ES_JG2_PMn2

/* PMC0Υӥå */
#define V850ES_JG2_PMC0_PMC06			V850ES_JG2_PMCn6
#define V850ES_JG2_PMC0_PMC05			V850ES_JG2_PMCn5
#define V850ES_JG2_PMC0_PMC04			V850ES_JG2_PMCn4
#define V850ES_JG2_PMC0_PMC03			V850ES_JG2_PMCn3
#define V850ES_JG2_PMC0_PMC02			V850ES_JG2_PMCn2

/* PFC0Υӥå */
#define V850ES_JG2_PFC0_PFC03			V850ES_JG2_PFCn3

/* PF0Υӥå */
#define V850ES_JG2_PF0_PF06			V850ES_JG2_PFn6
#define V850ES_JG2_PF0_PF05			V850ES_JG2_PFn5
#define V850ES_JG2_PF0_PF04			V850ES_JG2_PFn4
#define V850ES_JG2_PF0_PF03			V850ES_JG2_PFn3
#define V850ES_JG2_PF0_PF02			V850ES_JG2_PFn2

/* P1Υӥå */
#define V850ES_JG2_P1_P11			V850ES_JG2_Pn1
#define V850ES_JG2_P1_P10			V850ES_JG2_Pn0

/* PM1Υӥå */
#define V850ES_JG2_PM1_PM11			V850ES_JG2_PMn1
#define V850ES_JG2_PM1_PM10			V850ES_JG2_PMn0

/* P3Υӥå */
#define V850ES_JG2_P3_P39			V850ES_JG2_Pn9
#define V850ES_JG2_P3_P38			V850ES_JG2_Pn8
#define V850ES_JG2_P3_P37			V850ES_JG2_Pn7
#define V850ES_JG2_P3_P36			V850ES_JG2_Pn6
#define V850ES_JG2_P3_P35			V850ES_JG2_Pn5
#define V850ES_JG2_P3_P34			V850ES_JG2_Pn4
#define V850ES_JG2_P3_P33			V850ES_JG2_Pn3
#define V850ES_JG2_P3_P32			V850ES_JG2_Pn2
#define V850ES_JG2_P3_P31			V850ES_JG2_Pn1
#define V850ES_JG2_P3_P30			V850ES_JG2_Pn0

/* PM3Υӥå */
#define V850ES_JG2_PM3_PM39			V850ES_JG2_PMn9
#define V850ES_JG2_PM3_PM38			V850ES_JG2_PMn8
#define V850ES_JG2_PM3_PM37			V850ES_JG2_PMn7
#define V850ES_JG2_PM3_PM36			V850ES_JG2_PMn6
#define V850ES_JG2_PM3_PM35			V850ES_JG2_PMn5
#define V850ES_JG2_PM3_PM34			V850ES_JG2_PMn4
#define V850ES_JG2_PM3_PM33			V850ES_JG2_PMn3
#define V850ES_JG2_PM3_PM32			V850ES_JG2_PMn2
#define V850ES_JG2_PM3_PM31			V850ES_JG2_PMn1
#define V850ES_JG2_PM3_PM30			V850ES_JG2_PMn0

/* PMC3Υӥå */
#define V850ES_JG2_PMC3_PMC39			V850ES_JG2_PMCn9
#define V850ES_JG2_PMC3_PMC38			V850ES_JG2_PMCn8
#define V850ES_JG2_PMC3_PMC35			V850ES_JG2_PMCn5
#define V850ES_JG2_PMC3_PMC34			V850ES_JG2_PMCn4
#define V850ES_JG2_PMC3_PMC33			V850ES_JG2_PMCn3
#define V850ES_JG2_PMC3_PMC32			V850ES_JG2_PMCn2
#define V850ES_JG2_PMC3_PMC31			V850ES_JG2_PMCn1
#define V850ES_JG2_PMC3_PMC30			V850ES_JG2_PMCn0

/* PFC3Υӥå */
#define V850ES_JG2_PFC3_PFC39			V850ES_JG2_PFCn9
#define V850ES_JG2_PFC3_PFC38			V850ES_JG2_PFCn8
#define V850ES_JG2_PFC3_PFC35			V850ES_JG2_PFCn5
#define V850ES_JG2_PFC3_PFC34			V850ES_JG2_PFCn4
#define V850ES_JG2_PFC3_PFC33			V850ES_JG2_PFCn3
#define V850ES_JG2_PFC3_PFC32			V850ES_JG2_PFCn2
#define V850ES_JG2_PFC3_PFC31			V850ES_JG2_PFCn1
#define V850ES_JG2_PFC3_PFC30			V850ES_JG2_PFCn0

/* PFCE3LΥӥå */
#define V850ES_JG2_PFCE3L_PFCE32		V850ES_JG2_PFCEn2

/* PF3Υӥå */
#define V850ES_JG2_PF3_PF39			V850ES_JG2_PFn9
#define V850ES_JG2_PF3_PF38			V850ES_JG2_PFn8
#define V850ES_JG2_PF3_PF37			V850ES_JG2_PFn7
#define V850ES_JG2_PF3_PF36			V850ES_JG2_PFn6
#define V850ES_JG2_PF3_PF35			V850ES_JG2_PFn5
#define V850ES_JG2_PF3_PF34			V850ES_JG2_PFn4
#define V850ES_JG2_PF3_PF33			V850ES_JG2_PFn3
#define V850ES_JG2_PF3_PF32			V850ES_JG2_PFn2
#define V850ES_JG2_PF3_PF31			V850ES_JG2_PFn1
#define V850ES_JG2_PF3_PF30			V850ES_JG2_PFn0

/* P4Υӥå */
#define V850ES_JG2_P4_P42			V850ES_JG2_Pn2
#define V850ES_JG2_P4_P41			V850ES_JG2_Pn1
#define V850ES_JG2_P4_P40			V850ES_JG2_Pn0

/* PM4Υӥå */
#define V850ES_JG2_PM4_PM42			V850ES_JG2_PMn2
#define V850ES_JG2_PM4_PM41			V850ES_JG2_PMn1
#define V850ES_JG2_PM4_PM40			V850ES_JG2_PMn0

/* PMC4Υӥå */
#define V850ES_JG2_PMC4_PMC42			V850ES_JG2_PMCn2
#define V850ES_JG2_PMC4_PMC41			V850ES_JG2_PMCn1
#define V850ES_JG2_PMC4_PMC40			V850ES_JG2_PMCn0

/* PFC4Υӥå */
#define V850ES_JG2_PFC4_PFC41			V850ES_JG2_PFCn1
#define V850ES_JG2_PFC4_PFC40			V850ES_JG2_PFCn0

/* PF4Υӥå */
#define V850ES_JG2_PF4_PF42			V850ES_JG2_PFn2
#define V850ES_JG2_PF4_PF41			V850ES_JG2_PFn1
#define V850ES_JG2_PF4_PF40			V850ES_JG2_PFn0

/* P5Υӥå */
#define V850ES_JG2_P5_P55			V850ES_JG2_Pn5
#define V850ES_JG2_P5_P54			V850ES_JG2_Pn4
#define V850ES_JG2_P5_P53			V850ES_JG2_Pn3
#define V850ES_JG2_P5_P52			V850ES_JG2_Pn2
#define V850ES_JG2_P5_P51			V850ES_JG2_Pn1
#define V850ES_JG2_P5_P50			V850ES_JG2_Pn0

/* PM5Υӥå */
#define V850ES_JG2_PM5_PM55			V850ES_JG2_PMn5
#define V850ES_JG2_PM5_PM54			V850ES_JG2_PMn4
#define V850ES_JG2_PM5_PM53			V850ES_JG2_PMn3
#define V850ES_JG2_PM5_PM52			V850ES_JG2_PMn2
#define V850ES_JG2_PM5_PM51			V850ES_JG2_PMn1
#define V850ES_JG2_PM5_PM50			V850ES_JG2_PMn0

/* PMC5Υӥå */
#define V850ES_JG2_PMC5_PMC55			V850ES_JG2_PMCn5
#define V850ES_JG2_PMC5_PMC54			V850ES_JG2_PMCn4
#define V850ES_JG2_PMC5_PMC53			V850ES_JG2_PMCn3
#define V850ES_JG2_PMC5_PMC52			V850ES_JG2_PMCn2
#define V850ES_JG2_PMC5_PMC51			V850ES_JG2_PMCn1
#define V850ES_JG2_PMC5_PMC50			V850ES_JG2_PMCn0

/* PFC5Υӥå */
#define V850ES_JG2_PFC5_PFC55			V850ES_JG2_PFCn5
#define V850ES_JG2_PFC5_PFC54			V850ES_JG2_PFCn4
#define V850ES_JG2_PFC5_PFC53			V850ES_JG2_PFCn3
#define V850ES_JG2_PFC5_PFC52			V850ES_JG2_PFCn2
#define V850ES_JG2_PFC5_PFC51			V850ES_JG2_PFCn1
#define V850ES_JG2_PFC5_PFC50			V850ES_JG2_PFCn0

/* PFCE5Υӥå */
#define V850ES_JG2_PFCE5_PFCE55			V850ES_JG2_PFCEn5
#define V850ES_JG2_PFCE5_PFCE54			V850ES_JG2_PFCEn4
#define V850ES_JG2_PFCE5_PFCE53			V850ES_JG2_PFCEn3
#define V850ES_JG2_PFCE5_PFCE52			V850ES_JG2_PFCEn2
#define V850ES_JG2_PFCE5_PFCE51			V850ES_JG2_PFCEn1
#define V850ES_JG2_PFCE5_PFCE50			V850ES_JG2_PFCEn0

/* PF5Υӥå */
#define V850ES_JG2_PF5_PF55			V850ES_JG2_PFn5
#define V850ES_JG2_PF5_PF54			V850ES_JG2_PFn4
#define V850ES_JG2_PF5_PF53			V850ES_JG2_PFn3
#define V850ES_JG2_PF5_PF52			V850ES_JG2_PFn2
#define V850ES_JG2_PF5_PF51			V850ES_JG2_PFn1
#define V850ES_JG2_PF5_PF50			V850ES_JG2_PFn0

/* P7HΥӥå */
#define V850ES_JG2_P7H_P711			V850ES_JG2_Pn3
#define V850ES_JG2_P7H_P710			V850ES_JG2_Pn2
#define V850ES_JG2_P7H_P79			V850ES_JG2_Pn1
#define V850ES_JG2_P7H_P78			V850ES_JG2_Pn0

/* P7LΥӥå */
#define V850ES_JG2_P7L_P77			V850ES_JG2_Pn7
#define V850ES_JG2_P7L_P76			V850ES_JG2_Pn6
#define V850ES_JG2_P7L_P75			V850ES_JG2_Pn5
#define V850ES_JG2_P7L_P74			V850ES_JG2_Pn4
#define V850ES_JG2_P7L_P73			V850ES_JG2_Pn3
#define V850ES_JG2_P7L_P72			V850ES_JG2_Pn2
#define V850ES_JG2_P7L_P71			V850ES_JG2_Pn1
#define V850ES_JG2_P7L_P70			V850ES_JG2_Pn0

/* PM7HΥӥå */
#define V850ES_JG2_PM7H_PM711			V850ES_JG2_PMn3
#define V850ES_JG2_PM7H_PM710			V850ES_JG2_PMn2
#define V850ES_JG2_PM7H_PM79			V850ES_JG2_PMn1
#define V850ES_JG2_PM7H_PM78			V850ES_JG2_PMn0

/* PM7LΥӥå */
#define V850ES_JG2_PM7L_PM77			V850ES_JG2_PMn7
#define V850ES_JG2_PM7L_PM76			V850ES_JG2_PMn6
#define V850ES_JG2_PM7L_PM75			V850ES_JG2_PMn5
#define V850ES_JG2_PM7L_PM74			V850ES_JG2_PMn4
#define V850ES_JG2_PM7L_PM73			V850ES_JG2_PMn3
#define V850ES_JG2_PM7L_PM72			V850ES_JG2_PMn2
#define V850ES_JG2_PM7L_PM71			V850ES_JG2_PMn1
#define V850ES_JG2_PM7L_PM70			V850ES_JG2_PMn0

/* P9Υӥå */
#define V850ES_JG2_P9_P915			V850ES_JG2_Pn15
#define V850ES_JG2_P9_P914			V850ES_JG2_Pn14
#define V850ES_JG2_P9_P913			V850ES_JG2_Pn13
#define V850ES_JG2_P9_P912			V850ES_JG2_Pn12
#define V850ES_JG2_P9_P911			V850ES_JG2_Pn11
#define V850ES_JG2_P9_P910			V850ES_JG2_Pn10
#define V850ES_JG2_P9_P99			V850ES_JG2_Pn9
#define V850ES_JG2_P9_P98			V850ES_JG2_Pn8
#define V850ES_JG2_P9_P97			V850ES_JG2_Pn7
#define V850ES_JG2_P9_P96			V850ES_JG2_Pn6
#define V850ES_JG2_P9_P95			V850ES_JG2_Pn5
#define V850ES_JG2_P9_P94			V850ES_JG2_Pn4
#define V850ES_JG2_P9_P93			V850ES_JG2_Pn3
#define V850ES_JG2_P9_P92			V850ES_JG2_Pn2
#define V850ES_JG2_P9_P91			V850ES_JG2_Pn1
#define V850ES_JG2_P9_P90			V850ES_JG2_Pn0

/* PM9Υӥå */
#define V850ES_JG2_PM9_PM915			V850ES_JG2_PMn15
#define V850ES_JG2_PM9_PM914			V850ES_JG2_PMn14
#define V850ES_JG2_PM9_PM913			V850ES_JG2_PMn13
#define V850ES_JG2_PM9_PM912			V850ES_JG2_PMn12
#define V850ES_JG2_PM9_PM911			V850ES_JG2_PMn11
#define V850ES_JG2_PM9_PM910			V850ES_JG2_PMn10
#define V850ES_JG2_PM9_PM99			V850ES_JG2_PMn9
#define V850ES_JG2_PM9_PM98			V850ES_JG2_PMn8
#define V850ES_JG2_PM9_PM97			V850ES_JG2_PMn7
#define V850ES_JG2_PM9_PM96			V850ES_JG2_PMn6
#define V850ES_JG2_PM9_PM95			V850ES_JG2_PMn5
#define V850ES_JG2_PM9_PM94			V850ES_JG2_PMn4
#define V850ES_JG2_PM9_PM93			V850ES_JG2_PMn3
#define V850ES_JG2_PM9_PM92			V850ES_JG2_PMn2
#define V850ES_JG2_PM9_PM91			V850ES_JG2_PMn1
#define V850ES_JG2_PM9_PM90			V850ES_JG2_PMn0

/* PMC9Υӥå */
#define V850ES_JG2_PMC9_PMC915			V850ES_JG2_PMCn15
#define V850ES_JG2_PMC9_PMC914			V850ES_JG2_PMCn14
#define V850ES_JG2_PMC9_PMC913			V850ES_JG2_PMCn13
#define V850ES_JG2_PMC9_PMC912			V850ES_JG2_PMCn12
#define V850ES_JG2_PMC9_PMC911			V850ES_JG2_PMCn11
#define V850ES_JG2_PMC9_PMC910			V850ES_JG2_PMCn10
#define V850ES_JG2_PMC9_PMC99			V850ES_JG2_PMCn9
#define V850ES_JG2_PMC9_PMC98			V850ES_JG2_PMCn8
#define V850ES_JG2_PMC9_PMC97			V850ES_JG2_PMCn7
#define V850ES_JG2_PMC9_PMC96			V850ES_JG2_PMCn6
#define V850ES_JG2_PMC9_PMC95			V850ES_JG2_PMCn5
#define V850ES_JG2_PMC9_PMC94			V850ES_JG2_PMCn4
#define V850ES_JG2_PMC9_PMC93			V850ES_JG2_PMCn3
#define V850ES_JG2_PMC9_PMC92			V850ES_JG2_PMCn2
#define V850ES_JG2_PMC9_PMC91			V850ES_JG2_PMCn1
#define V850ES_JG2_PMC9_PMC90			V850ES_JG2_PMCn0

/* PFC9Υӥå */
#define V850ES_JG2_PFC9_PFC915			V850ES_JG2_PFCn15
#define V850ES_JG2_PFC9_PFC914			V850ES_JG2_PFCn14
#define V850ES_JG2_PFC9_PFC913			V850ES_JG2_PFCn13
#define V850ES_JG2_PFC9_PFC912			V850ES_JG2_PFCn12
#define V850ES_JG2_PFC9_PFC911			V850ES_JG2_PFCn11
#define V850ES_JG2_PFC9_PFC910			V850ES_JG2_PFCn10
#define V850ES_JG2_PFC9_PFC99			V850ES_JG2_PFCn9
#define V850ES_JG2_PFC9_PFC98			V850ES_JG2_PFCn8
#define V850ES_JG2_PFC9_PFC97			V850ES_JG2_PFCn7
#define V850ES_JG2_PFC9_PFC96			V850ES_JG2_PFCn6
#define V850ES_JG2_PFC9_PFC95			V850ES_JG2_PFCn5
#define V850ES_JG2_PFC9_PFC94			V850ES_JG2_PFCn4
#define V850ES_JG2_PFC9_PFC93			V850ES_JG2_PFCn3
#define V850ES_JG2_PFC9_PFC92			V850ES_JG2_PFCn2
#define V850ES_JG2_PFC9_PFC91			V850ES_JG2_PFCn1
#define V850ES_JG2_PFC9_PFC90			V850ES_JG2_PFCn0

/* PFCE9Υӥå */
#define V850ES_JG2_PFCE9_PFCE915		V850ES_JG2_PFCEn15
#define V850ES_JG2_PFCE9_PFCE914		V850ES_JG2_PFCEn14
#define V850ES_JG2_PFCE9_PFCE97			V850ES_JG2_PFCEn7
#define V850ES_JG2_PFCE9_PFCE96			V850ES_JG2_PFCEn6
#define V850ES_JG2_PFCE9_PFCE95			V850ES_JG2_PFCEn5
#define V850ES_JG2_PFCE9_PFCE94			V850ES_JG2_PFCEn4
#define V850ES_JG2_PFCE9_PFCE93			V850ES_JG2_PFCEn3
#define V850ES_JG2_PFCE9_PFCE92			V850ES_JG2_PFCEn2
#define V850ES_JG2_PFCE9_PFCE91			V850ES_JG2_PFCEn1
#define V850ES_JG2_PFCE9_PFCE90			V850ES_JG2_PFCEn0

/* PF9Υӥå */
#define V850ES_JG2_PF9_PF915			V850ES_JG2_PFn15
#define V850ES_JG2_PF9_PF914			V850ES_JG2_PFn14
#define V850ES_JG2_PF9_PF913			V850ES_JG2_PFn13
#define V850ES_JG2_PF9_PF912			V850ES_JG2_PFn12
#define V850ES_JG2_PF9_PF911			V850ES_JG2_PFn11
#define V850ES_JG2_PF9_PF910			V850ES_JG2_PFn10
#define V850ES_JG2_PF9_PF99			V850ES_JG2_PFn9
#define V850ES_JG2_PF9_PF98			V850ES_JG2_PFn8
#define V850ES_JG2_PF9_PF97			V850ES_JG2_PFn7
#define V850ES_JG2_PF9_PF96			V850ES_JG2_PFn6
#define V850ES_JG2_PF9_PF95			V850ES_JG2_PFn5
#define V850ES_JG2_PF9_PF94			V850ES_JG2_PFn4
#define V850ES_JG2_PF9_PF93			V850ES_JG2_PFn3
#define V850ES_JG2_PF9_PF92			V850ES_JG2_PFn2
#define V850ES_JG2_PF9_PF91			V850ES_JG2_PFn1
#define V850ES_JG2_PF9_PF90			V850ES_JG2_PFn0

/* PCMΥӥå */
#define	V850ES_JG2_PCM_PCM3			V850ES_JG2_Pn3
#define	V850ES_JG2_PCM_PCM2			V850ES_JG2_Pn2
#define	V850ES_JG2_PCM_PCM1			V850ES_JG2_Pn1
#define	V850ES_JG2_PCM_PCM0			V850ES_JG2_Pn0

/* PMCMΥӥå */
#define	V850ES_JG2_PMCM_PMCM3			V850ES_JG2_PMn3
#define	V850ES_JG2_PMCM_PMCM2			V850ES_JG2_PMn2
#define	V850ES_JG2_PMCM_PMCM1			V850ES_JG2_PMn1
#define	V850ES_JG2_PMCM_PMCM0			V850ES_JG2_PMn0

/* PMCCMΥӥå */
#define	V850ES_JG2_PMCCM_PMCCM3			V850ES_JG2_PMCn3
#define	V850ES_JG2_PMCCM_PMCCM2			V850ES_JG2_PMCn2
#define	V850ES_JG2_PMCCM_PMCCM1			V850ES_JG2_PMCn1
#define	V850ES_JG2_PMCCM_PMCCM0			V850ES_JG2_PMCn0

/* PCTΥӥå */
#define	V850ES_JG2_PCT_PCT6			V850ES_JG2_Pn6
#define	V850ES_JG2_PCT_PCT4			V850ES_JG2_Pn4
#define	V850ES_JG2_PCT_PCT1			V850ES_JG2_Pn1
#define	V850ES_JG2_PCT_PCT0			V850ES_JG2_Pn0

/* PMCTΥӥå */
#define	V850ES_JG2_PMCT_PMCT6			V850ES_JG2_PMn6
#define	V850ES_JG2_PMCT_PMCT4			V850ES_JG2_PMn4
#define	V850ES_JG2_PMCT_PMCT1			V850ES_JG2_PMn1
#define	V850ES_JG2_PMCT_PMCT0			V850ES_JG2_PMn0

/* PMCCTΥӥå */
#define	V850ES_JG2_PMCCT_PMCCT6			V850ES_JG2_PMCn6
#define	V850ES_JG2_PMCCT_PMCCT4			V850ES_JG2_PMCn4
#define	V850ES_JG2_PMCCT_PMCCT1			V850ES_JG2_PMCn1
#define	V850ES_JG2_PMCCT_PMCCT0			V850ES_JG2_PMCn0

/* PDHΥӥå */
#define	V850ES_JG2_PDH_PDH5			V850ES_JG2_Pn5
#define	V850ES_JG2_PDH_PDH4			V850ES_JG2_Pn4
#define	V850ES_JG2_PDH_PDH3			V850ES_JG2_Pn3
#define	V850ES_JG2_PDH_PDH2			V850ES_JG2_Pn2
#define	V850ES_JG2_PDH_PDH1			V850ES_JG2_Pn1
#define	V850ES_JG2_PDH_PDH0			V850ES_JG2_Pn0

/* PMDHΥӥå */
#define	V850ES_JG2_PMDH_PMDH5			V850ES_JG2_PMn5
#define	V850ES_JG2_PMDH_PMDH4			V850ES_JG2_PMn4
#define	V850ES_JG2_PMDH_PMDH3			V850ES_JG2_PMn3
#define	V850ES_JG2_PMDH_PMDH2			V850ES_JG2_PMn2
#define	V850ES_JG2_PMDH_PMDH1			V850ES_JG2_PMn1
#define	V850ES_JG2_PMDH_PMDH0			V850ES_JG2_PMn0

/* PMCDHΥӥå */
#define	V850ES_JG2_PMCDH_PMCDH5			V850ES_JG2_PMCn5
#define	V850ES_JG2_PMCDH_PMCDH4			V850ES_JG2_PMCn4
#define	V850ES_JG2_PMCDH_PMCDH3			V850ES_JG2_PMCn3
#define	V850ES_JG2_PMCDH_PMCDH2			V850ES_JG2_PMCn2
#define	V850ES_JG2_PMCDH_PMCDH1			V850ES_JG2_PMCn1
#define	V850ES_JG2_PMCDH_PMCDH0			V850ES_JG2_PMCn0

/* PDLΥӥå */
#define V850ES_JG2_PDL_PDL15			V850ES_JG2_Pn15
#define V850ES_JG2_PDL_PDL14			V850ES_JG2_Pn14
#define V850ES_JG2_PDL_PDL13			V850ES_JG2_Pn13
#define V850ES_JG2_PDL_PDL12			V850ES_JG2_Pn12
#define V850ES_JG2_PDL_PDL11			V850ES_JG2_Pn11
#define V850ES_JG2_PDL_PDL10			V850ES_JG2_Pn10
#define V850ES_JG2_PDL_PDL9			V850ES_JG2_Pn9
#define V850ES_JG2_PDL_PDL8			V850ES_JG2_Pn8
#define V850ES_JG2_PDL_PDL7			V850ES_JG2_Pn7
#define V850ES_JG2_PDL_PDL6			V850ES_JG2_Pn6
#define V850ES_JG2_PDL_PDL5			V850ES_JG2_Pn5
#define V850ES_JG2_PDL_PDL4			V850ES_JG2_Pn4
#define V850ES_JG2_PDL_PDL3			V850ES_JG2_Pn3
#define V850ES_JG2_PDL_PDL2			V850ES_JG2_Pn2
#define V850ES_JG2_PDL_PDL1			V850ES_JG2_Pn1
#define V850ES_JG2_PDL_PDL0			V850ES_JG2_Pn0

/* PMDLΥӥå */
#define V850ES_JG2_PMDL_PMDL15			V850ES_JG2_PMn15
#define V850ES_JG2_PMDL_PMDL14			V850ES_JG2_PMn14
#define V850ES_JG2_PMDL_PMDL13			V850ES_JG2_PMn13
#define V850ES_JG2_PMDL_PMDL12			V850ES_JG2_PMn12
#define V850ES_JG2_PMDL_PMDL11			V850ES_JG2_PMn11
#define V850ES_JG2_PMDL_PMDL10			V850ES_JG2_PMn10
#define V850ES_JG2_PMDL_PMDL9			V850ES_JG2_PMn9
#define V850ES_JG2_PMDL_PMDL8			V850ES_JG2_PMn8
#define V850ES_JG2_PMDL_PMDL7			V850ES_JG2_PMn7
#define V850ES_JG2_PMDL_PMDL6			V850ES_JG2_PMn6
#define V850ES_JG2_PMDL_PMDL5			V850ES_JG2_PMn5
#define V850ES_JG2_PMDL_PMDL4			V850ES_JG2_PMn4
#define V850ES_JG2_PMDL_PMDL3			V850ES_JG2_PMn3
#define V850ES_JG2_PMDL_PMDL2			V850ES_JG2_PMn2
#define V850ES_JG2_PMDL_PMDL1			V850ES_JG2_PMn1
#define V850ES_JG2_PMDL_PMDL0			V850ES_JG2_PMn0

/* PMCDLΥӥå */
#define V850ES_JG2_PMCDL_PMCDL15		V850ES_JG2_PMCn15
#define V850ES_JG2_PMCDL_PMCDL14		V850ES_JG2_PMCn14
#define V850ES_JG2_PMCDL_PMCDL13		V850ES_JG2_PMCn13
#define V850ES_JG2_PMCDL_PMCDL12		V850ES_JG2_PMCn12
#define V850ES_JG2_PMCDL_PMCDL11		V850ES_JG2_PMCn11
#define V850ES_JG2_PMCDL_PMCDL10		V850ES_JG2_PMCn10
#define V850ES_JG2_PMCDL_PMCDL9			V850ES_JG2_PMCn9
#define V850ES_JG2_PMCDL_PMCDL8			V850ES_JG2_PMCn8
#define V850ES_JG2_PMCDL_PMCDL7			V850ES_JG2_PMCn7
#define V850ES_JG2_PMCDL_PMCDL6			V850ES_JG2_PMCn6
#define V850ES_JG2_PMCDL_PMCDL5			V850ES_JG2_PMCn5
#define V850ES_JG2_PMCDL_PMCDL4			V850ES_JG2_PMCn4
#define V850ES_JG2_PMCDL_PMCDL3			V850ES_JG2_PMCn3
#define V850ES_JG2_PMCDL_PMCDL2			V850ES_JG2_PMCn2
#define V850ES_JG2_PMCDL_PMCDL1			V850ES_JG2_PMCn1
#define V850ES_JG2_PMCDL_PMCDL0			V850ES_JG2_PMCn0

/* EXIMCΥӥå */
#define V850ES_JG2_EXIMC_SMSEL			BIT0

/* BSCΥӥå */
#define	V850ES_JG2_BSC_BS30			BIT6
#define	V850ES_JG2_BSC_BS20			BIT4
#define	V850ES_JG2_BSC_BS10			BIT2
#define	V850ES_JG2_BSC_BS00			BIT0

/* DWC0Υӥå */
#define	V850ES_JG2_DWC0_DW32			BIT14
#define	V850ES_JG2_DWC0_DW31			BIT13
#define	V850ES_JG2_DWC0_DW30			BIT12
#define	V850ES_JG2_DWC0_DW22			BIT10
#define	V850ES_JG2_DWC0_DW21			BIT9
#define	V850ES_JG2_DWC0_DW20			BIT8
#define	V850ES_JG2_DWC0_DW12			BIT6
#define	V850ES_JG2_DWC0_DW11			BIT5
#define	V850ES_JG2_DWC0_DW10			BIT4
#define	V850ES_JG2_DWC0_DW02			BIT2
#define	V850ES_JG2_DWC0_DW01			BIT1
#define	V850ES_JG2_DWC0_DW00			BIT0

/* AWCΥӥå */
#define	V850ES_JG2_AWC_AHW3			BIT7
#define	V850ES_JG2_AWC_ASW3			BIT6
#define	V850ES_JG2_AWC_AHW2			BIT5
#define	V850ES_JG2_AWC_ASW2			BIT4
#define	V850ES_JG2_AWC_AHW1			BIT3
#define	V850ES_JG2_AWC_ASW1			BIT2
#define	V850ES_JG2_AWC_AHW0			BIT1
#define	V850ES_JG2_AWC_ASW0			BIT0

/* BCCΥӥå */
#define	V850ES_JG2_BCC_BC31			BIT7
#define	V850ES_JG2_BCC_BC21			BIT5
#define	V850ES_JG2_BCC_BC11			BIT3
#define	V850ES_JG2_BCC_BC01			BIT1

/* PCCΥӥå */
#define	V850ES_JG2_PCC_FRC			BIT7
#define	V850ES_JG2_PCC_MCK			BIT6
#define	V850ES_JG2_PCC_MFRC			BIT5
#define	V850ES_JG2_PCC_CLS			BIT4
#define	V850ES_JG2_PCC_CK3			BIT3
#define	V850ES_JG2_PCC_CK2			BIT2
#define	V850ES_JG2_PCC_CK1			BIT1
#define	V850ES_JG2_PCC_CK0			BIT0

/* RCMΥӥå */
#define	V850ES_JG2_RCM_RSTOP			BIT0

/* CCLSΥӥå */
#define	V850ES_JG2_CCLS_CCLSF			BIT0

/* PLLCTLΥӥå */
#define	V850ES_JG2_PLLCTL_SETPLL		BIT1
#define	V850ES_JG2_PLLCTL_PLLON			BIT0

/* CKCΥӥå */
#define	V850ES_JG2_CKC_CKDIV0			BIT0

/* LOCKRΥӥå */
#define	V850ES_JG2_LOCKR_LOCK			BIT0

/* PLLSΥӥå */
#define	V850ES_JG2_PLLS_PLLS1			BIT1
#define	V850ES_JG2_PLLS_PLLS0			BIT0

/* TPnCTL0Υӥå */
#define	V850ES_JG2_TPnCE			BIT7
#define	V850ES_JG2_TPnCKS2			BIT2
#define	V850ES_JG2_TPnCKS1			BIT1
#define	V850ES_JG2_TPnCKS0			BIT0

/* TPnCTL1Υӥå */
#define	V850ES_JG2_TPnCTL1_TPnEST		BIT6
#define	V850ES_JG2_TPnCTL1_TPnEEE		BIT5
#define	V850ES_JG2_TPnCTL1_TPnMD2		BIT2
#define	V850ES_JG2_TPnCTL1_TPnMD1		BIT1
#define	V850ES_JG2_TPnCTL1_TPnMD0		BIT0

/* TPnIOC0Υӥå */
#define	V850ES_JG2_TPnIOC0_TPnOL1		BIT3
#define	V850ES_JG2_TPnIOC0_TPnOE1		BIT2
#define	V850ES_JG2_TPnIOC0_TPnOL0		BIT1
#define	V850ES_JG2_TPnIOC0_TPnOE0		BIT0

/* TPnIOC1Υӥå */
#define	V850ES_JG2_TPnIOC1_TPnIS3		BIT3
#define	V850ES_JG2_TPnIOC1_TPnIS2		BIT2
#define	V850ES_JG2_TPnIOC1_TPnIS1		BIT1
#define	V850ES_JG2_TPnIOC1_TPnIS0		BIT0

/* TPnIOC2Υӥå */
#define	V850ES_JG2_TPnIOC2_TPnEES1		BIT3
#define	V850ES_JG2_TPnIOC2_TPnEES0		BIT2
#define	V850ES_JG2_TPnIOC2_TPnETS1		BIT1
#define	V850ES_JG2_TPnIOC2_TPnETS0		BIT0

/* TPnOPT0Υӥå */
#define V850ES_JG2_TPnOPT0_TPnCCS1		BIT5
#define V850ES_JG2_TPnOPT0_TPnCCS0		BIT4
#define V850ES_JG2_TPnOPT0_TPnOVF		BIT0

/* SELCNT0Υӥå */
#define V850ES_JG2_SELCNT0_ISEL4		BIT4
#define V850ES_JG2_SELCNT0_ISEL3		BIT3

/* TQ0CTL0Υӥå */
#define	V850ES_JG2_TQ0CTL0_TQ0CE		BIT7
#define	V850ES_JG2_TQ0CTL0_TQ0CKS2		BIT2
#define	V850ES_JG2_TQ0CTL0_TQ0CKS1		BIT1
#define	V850ES_JG2_TQ0CTL0_TQ0CKS0		BIT0

/* TQ0CTL1Υӥå */
#define	V850ES_JG2_TQ0CTL1_TQ0EST		BIT6
#define	V850ES_JG2_TQ0CTL1_TQ0EEE		BIT5
#define	V850ES_JG2_TQ0CTL1_TQ0MD2		BIT2
#define	V850ES_JG2_TQ0CTL1_TQ0MD1		BIT1
#define	V850ES_JG2_TQ0CTL1_TQ0MD0		BIT0

/* TQ0IOC0Υӥå */
#define	V850ES_JG2_TQ0IOC0_TQ0OL3		BIT7
#define	V850ES_JG2_TQ0IOC0_TQ0OE3		BIT6
#define	V850ES_JG2_TQ0IOC0_TQ0OL2		BIT5
#define	V850ES_JG2_TQ0IOC0_TQ0OE2		BIT4
#define	V850ES_JG2_TQ0IOC0_TQ0OL1		BIT3
#define	V850ES_JG2_TQ0IOC0_TQ0OE1		BIT2
#define	V850ES_JG2_TQ0IOC0_TQ0OL0		BIT1
#define	V850ES_JG2_TQ0IOC0_TQ0OE0		BIT0

/* TQ0IOC1Υӥå */
#define	V850ES_JG2_TQ0IOC1_TQ0IS7		BIT7
#define	V850ES_JG2_TQ0IOC1_TQ0IS6		BIT6
#define	V850ES_JG2_TQ0IOC1_TQ0IS5		BIT5
#define	V850ES_JG2_TQ0IOC1_TQ0IS4		BIT4
#define	V850ES_JG2_TQ0IOC1_TQ0IS3		BIT3
#define	V850ES_JG2_TQ0IOC1_TQ0IS2		BIT2
#define	V850ES_JG2_TQ0IOC1_TQ0IS1		BIT1
#define	V850ES_JG2_TQ0IOC1_TQ0IS0		BIT0

/* TQ0IOC2Υӥå */
#define	V850ES_JG2_TQ0IOC2_TQ0EES1		BIT3
#define	V850ES_JG2_TQ0IOC2_TQ0EES0		BIT2
#define	V850ES_JG2_TQ0IOC2_TQ0ETS1		BIT1
#define	V850ES_JG2_TQ0IOC2_TQ0ETS0		BIT0

/* TQ0OPT0Υӥå */
#define V850ES_JG2_TQ0OPT0_TQ0CCS3		BIT7
#define V850ES_JG2_TQ0OPT0_TQ0CCS2		BIT6
#define V850ES_JG2_TQ0OPT0_TQ0CCS1		BIT5
#define V850ES_JG2_TQ0OPT0_TQ0CCS0		BIT4
#define V850ES_JG2_TQ0OPT0_TQ0OVF		BIT0

/* TM0CTL0Υӥå */
#define V850ES_JG2_TM0CTL0_TM0CE		BIT7
#define V850ES_JG2_TM0CTL0_TM0CKS2		BIT2
#define V850ES_JG2_TM0CTL0_TM0CKS1		BIT1
#define V850ES_JG2_TM0CTL0_TM0CKS0		BIT0

/* PRSM0Υӥå */
#define V850ES_JG2_PRSM0_BGCE0			BIT4
#define V850ES_JG2_PRSM0_BGCS01			BIT1
#define V850ES_JG2_PRSM0_BGCS00			BIT0

/* PRSCM0Υӥå */
#define V850ES_JG2_PRSCM0_PRSCM07		BIT7
#define V850ES_JG2_PRSCM0_PRSCM06		BIT6
#define V850ES_JG2_PRSCM0_PRSCM05		BIT5
#define V850ES_JG2_PRSCM0_PRSCM04		BIT4
#define V850ES_JG2_PRSCM0_PRSCM03		BIT3
#define V850ES_JG2_PRSCM0_PRSCM02		BIT2
#define V850ES_JG2_PRSCM0_PRSCM01		BIT1
#define V850ES_JG2_PRSCM0_PRSCM00		BIT0

/* WTMΥӥå */
#define V850ES_JG2_WTM_WTM7			BIT7
#define V850ES_JG2_WTM_WTM6			BIT6
#define V850ES_JG2_WTM_WTM5			BIT5
#define V850ES_JG2_WTM_WTM4			BIT4
#define V850ES_JG2_WTM_WTM3			BIT3
#define V850ES_JG2_WTM_WTM2			BIT2
#define V850ES_JG2_WTM_WTM1			BIT1
#define V850ES_JG2_WTM_WTM0			BIT0

/* WDTM2Υӥå */
#define V850ES_JG2_WDTM2_WDM21			BIT6
#define V850ES_JG2_WDTM2_WDM20			BIT5
#define V850ES_JG2_WDTM2_WDCS24			BIT4
#define V850ES_JG2_WDTM2_WDCS23			BIT3
#define V850ES_JG2_WDTM2_WDCS22			BIT2
#define V850ES_JG2_WDTM2_WDCS21			BIT1
#define V850ES_JG2_WDTM2_WDCS20			BIT0

/* RTPM0Υӥå */
#define V850ES_JG2_RTPM0_RTPM05			BIT5
#define V850ES_JG2_RTPM0_RTPM04			BIT4
#define V850ES_JG2_RTPM0_RTPM03			BIT3
#define V850ES_JG2_RTPM0_RTPM02			BIT2
#define V850ES_JG2_RTPM0_RTPM01			BIT1
#define V850ES_JG2_RTPM0_RTPM00			BIT0

/* RTPC0Υӥå */
#define V850ES_JG2_RTPC0_RTPOC0			BIT7
#define V850ES_JG2_RTPC0_RTPEG0			BIT6
#define V850ES_JG2_RTPC0_BYTE0			BIT5
#define V850ES_JG2_RTPC0_EXTR0			BIT4

/* ADA0M0Υӥå */
#define V850ES_JG2_ADA0M0_ADA0CE		BIT7
#define V850ES_JG2_ADA0M0_ADA0MD1		BIT5
#define V850ES_JG2_ADA0M0_ADA0MD0		BIT4
#define V850ES_JG2_ADA0M0_ADA0ETS1		BIT3
#define V850ES_JG2_ADA0M0_ADA0ETS0		BIT2
#define V850ES_JG2_ADA0M0_ADA0TMD		BIT1
#define V850ES_JG2_ADA0M0_ADA0EF		BIT0

/* ADA0M1Υӥå */
#define V850ES_JG2_ADA0M1_ADA0HS1		BIT7
#define V850ES_JG2_ADA0M1_ADA0FR2		BIT2
#define V850ES_JG2_ADA0M1_ADA0FR1		BIT1
#define V850ES_JG2_ADA0M1_ADA0FR0		BIT0

/* ADA0M2Υӥå */
#define V850ES_JG2_ADA0M2_ADA0TMD1		BIT1
#define V850ES_JG2_ADA0M2_ADA0TMD0		BIT0

/* ADA0SΥӥå */
#define	V850ES_JG2_ADA0S_ADA0S3			BIT3
#define	V850ES_JG2_ADA0S_ADA0S2			BIT2
#define	V850ES_JG2_ADA0S_ADA0S1			BIT1
#define	V850ES_JG2_ADA0S_ADA0S0			BIT0

/* ADA0PFMΥӥå */
#define	V850ES_JG2_ADA0PFM_ADA0PFE		BIT7
#define	V850ES_JG2_ADA0PFM_ADA0PFC		BIT6

/* DA0MΥӥå */
#define	V850ES_JG2_DA0M_DA0CE1			BIT5
#define	V850ES_JG2_DA0M_DA0CE0			BIT4
#define	V850ES_JG2_DA0M_DA0MD1			BIT1
#define	V850ES_JG2_DA0M_DA0MD0			BIT0

/* DA0CSnΥӥå */
#define	V850ES_JG2_DA0CSn_DA0CSn7		BIT7
#define	V850ES_JG2_DA0CSn_DA0CSn6		BIT6
#define	V850ES_JG2_DA0CSn_DA0CSn5		BIT5
#define	V850ES_JG2_DA0CSn_DA0CSn4		BIT4
#define	V850ES_JG2_DA0CSn_DA0CSn3		BIT3
#define	V850ES_JG2_DA0CSn_DA0CSn2		BIT2
#define	V850ES_JG2_DA0CSn_DA0CSn1		BIT1
#define	V850ES_JG2_DA0CSn_DA0CSn0		BIT0

/* UAnCTL0Υӥå */
#define	V850ES_JG2_UAnCTL0_UAnPWR		BIT7
#define	V850ES_JG2_UAnCTL0_UAnTXE		BIT6
#define	V850ES_JG2_UAnCTL0_UAnRXE		BIT5
#define	V850ES_JG2_UAnCTL0_UAnDIR		BIT4
#define	V850ES_JG2_UAnCTL0_UAnPS1		BIT3
#define	V850ES_JG2_UAnCTL0_UAnPS0		BIT2
#define	V850ES_JG2_UAnCTL0_UAnCL		BIT1
#define	V850ES_JG2_UAnCTL0_UAnSL		BIT0

/* UAnOPT0Υӥå */
#define	V850ES_JG2_UAnOPT0_UAnSRF		BIT7
#define	V850ES_JG2_UAnOPT0_UAnSR		BIT6
#define	V850ES_JG2_UAnOPT0_UAnSTT		BIT5
#define	V850ES_JG2_UAnOPT0_UAnSLS2		BIT4
#define	V850ES_JG2_UAnOPT0_UAnSLS1		BIT3
#define	V850ES_JG2_UAnOPT0_UAnSLS0		BIT2
#define	V850ES_JG2_UAnOPT0_UAnTDL		BIT1
#define	V850ES_JG2_UAnOPT0_UAnRDL		BIT0

/* UAnSTRΥӥå */
#define	V850ES_JG2_UAnSTR_UAnTSF		BIT7
#define	V850ES_JG2_UAnSTR_UAnPE			BIT2
#define	V850ES_JG2_UAnSTR_UAnFE			BIT1
#define	V850ES_JG2_UAnSTR_UAnOVE		BIT0

/* CBnCTL0Υӥå */
#define	V850ES_JG2_CBnCTL0_CBnPWR		BIT7
#define	V850ES_JG2_CBnCTL0_CBnTXE		BIT6
#define	V850ES_JG2_CBnCTL0_CBnRXE		BIT5
#define	V850ES_JG2_CBnCTL0_CBnDIR		BIT4
#define	V850ES_JG2_CBnCTL0_CBnTMS		BIT1
#define	V850ES_JG2_CBnCTL0_CBnSCE		BIT0

/* CBnCTL1Υӥå */
#define V850ES_JG2_CBnCTL1_CBnCKP		BIT4
#define V850ES_JG2_CBnCTL1_CBnDAP		BIT3
#define V850ES_JG2_CBnCTL1_CBnCKS2		BIT2
#define V850ES_JG2_CBnCTL1_CBnCKS1		BIT1
#define V850ES_JG2_CBnCTL1_CBnCKS0		BIT0

/* CBnCTL2Υӥå */
#define V850ES_JG2_CBnCTL2_CBnCL3		BIT3
#define V850ES_JG2_CBnCTL2_CBnCL2		BIT2
#define V850ES_JG2_CBnCTL2_CBnCL1		BIT1
#define V850ES_JG2_CBnCTL2_CBnCL0		BIT0

/* CBnSTRΥӥå */
#define V850ES_JG2_CBnSTR_CBnTSF		BIT7
#define V850ES_JG2_CBnSTR_CBnOVE		BIT0

/* IICCnΥӥå */
#define V850ES_JG2_IICCn_IICEn			BIT7
#define V850ES_JG2_IICCn_LRELn			BIT6
#define V850ES_JG2_IICCn_WRELn			BIT5
#define V850ES_JG2_IICCn_SPIEn			BIT4
#define V850ES_JG2_IICCn_WTIMn			BIT3
#define V850ES_JG2_IICCn_ACKEn			BIT2
#define V850ES_JG2_IICCn_STTn			BIT1
#define V850ES_JG2_IICCn_SPTn			BIT0

/* IICSnΥӥå */
#define V850ES_JG2_IICSn_MSTSn			BIT7
#define V850ES_JG2_IICSn_ALDn			BIT6
#define V850ES_JG2_IICSn_EXCn			BIT5
#define V850ES_JG2_IICSn_COIn			BIT4
#define V850ES_JG2_IICSn_TRCn			BIT3
#define V850ES_JG2_IICSn_ACKDn			BIT2
#define V850ES_JG2_IICSn_STDn			BIT1
#define V850ES_JG2_IICSn_SPDn			BIT0

/* IICFnΥӥå */
#define V850ES_JG2_IICFn_STCFn			BIT7
#define V850ES_JG2_IICFn_IICBSYn		BIT6
#define V850ES_JG2_IICFn_STCENn			BIT1
#define V850ES_JG2_IICFn_IICRSVn		BIT0

/* IICCLnΥӥå */
#define V850ES_JG2_IICCLn_CLDn			BIT5
#define V850ES_JG2_IICCLn_DADn			BIT4
#define V850ES_JG2_IICCLn_SMCn			BIT3
#define V850ES_JG2_IICCLn_DFCn			BIT2
#define V850ES_JG2_IICCLn_CLn1			BIT1
#define V850ES_JG2_IICCLn_CLn0			BIT0

/* IICXnΥӥå */
#define V850ES_JG2_IICXn_CLXn			BIT0

/* OCKS0Υӥå */
#define	V850ES_JG2_OCKS0_OCKSEN0		BIT4
#define	V850ES_JG2_OCKS0_OCKSTH0		BIT3
#define	V850ES_JG2_OCKS0_OCKS01			BIT1
#define	V850ES_JG2_OCKS0_OCKS00			BIT0

/* OCKS1Υӥå */
#define	V850ES_JG2_OCKS1_OCKSEN1		BIT4
#define	V850ES_JG2_OCKS1_OCKSTH1		BIT3
#define	V850ES_JG2_OCKS1_OCKS11			BIT1
#define	V850ES_JG2_OCKS1_OCKS10			BIT0

/* DSAnHΥӥå */
#define V850ES_JG2_DSAnH_SA25			BIT9
#define V850ES_JG2_DSAnH_SA24			BIT8
#define V850ES_JG2_DSAnH_SA23			BIT7
#define V850ES_JG2_DSAnH_SA22			BIT6
#define V850ES_JG2_DSAnH_SA21			BIT5
#define V850ES_JG2_DSAnH_SA20			BIT4
#define V850ES_JG2_DSAnH_SA19			BIT3
#define V850ES_JG2_DSAnH_SA18			BIT2
#define V850ES_JG2_DSAnH_SA17			BIT1
#define V850ES_JG2_DSAnH_SA16			BIT0

/* DSAnLΥӥå */
#define V850ES_JG2_DSAnL_SA15			BIT15
#define V850ES_JG2_DSAnL_SA14			BIT14
#define V850ES_JG2_DSAnL_SA13			BIT13
#define V850ES_JG2_DSAnL_SA12			BIT12
#define V850ES_JG2_DSAnL_SA11			BIT11
#define V850ES_JG2_DSAnL_SA10			BIT10
#define V850ES_JG2_DSAnL_SA9			BIT9
#define V850ES_JG2_DSAnL_SA8			BIT8
#define V850ES_JG2_DSAnL_SA7			BIT7
#define V850ES_JG2_DSAnL_SA6			BIT6
#define V850ES_JG2_DSAnL_SA5			BIT5
#define V850ES_JG2_DSAnL_SA4			BIT4
#define V850ES_JG2_DSAnL_SA3			BIT3
#define V850ES_JG2_DSAnL_SA2			BIT2
#define V850ES_JG2_DSAnL_SA1			BIT1
#define V850ES_JG2_DSAnL_SA0			BIT0

/* DDAnHΥӥå */
#define V850ES_JG2_DDAnH_DA25			BIT9
#define V850ES_JG2_DDAnH_DA24			BIT8
#define V850ES_JG2_DDAnH_DA23			BIT7
#define V850ES_JG2_DDAnH_DA22			BIT6
#define V850ES_JG2_DDAnH_DA21			BIT5
#define V850ES_JG2_DDAnH_DA20			BIT4
#define V850ES_JG2_DDAnH_DA19			BIT3
#define V850ES_JG2_DDAnH_DA18			BIT2
#define V850ES_JG2_DDAnH_DA17			BIT1
#define V850ES_JG2_DDAnH_DA16			BIT0

/* DDAnLΥӥå */
#define V850ES_JG2_DDAnL_DA15			BIT15
#define V850ES_JG2_DDAnL_DA14			BIT14
#define V850ES_JG2_DDAnL_DA13			BIT13
#define V850ES_JG2_DDAnL_DA12			BIT12
#define V850ES_JG2_DDAnL_DA11			BIT11
#define V850ES_JG2_DDAnL_DA10			BIT10
#define V850ES_JG2_DDAnL_DA9			BIT9
#define V850ES_JG2_DDAnL_DA8			BIT8
#define V850ES_JG2_DDAnL_DA7			BIT7
#define V850ES_JG2_DDAnL_DA6			BIT6
#define V850ES_JG2_DDAnL_DA5			BIT5
#define V850ES_JG2_DDAnL_DA4			BIT4
#define V850ES_JG2_DDAnL_DA3			BIT3
#define V850ES_JG2_DDAnL_DA2			BIT2
#define V850ES_JG2_DDAnL_DA1			BIT1
#define V850ES_JG2_DDAnL_DA0			BIT0

/* DBCnΥӥå */
#define V850ES_JG2_DBCn_BC15			BIT15
#define V850ES_JG2_DBCn_BC14			BIT14
#define V850ES_JG2_DBCn_BC13			BIT13
#define V850ES_JG2_DBCn_BC12			BIT12
#define V850ES_JG2_DBCn_BC11			BIT11
#define V850ES_JG2_DBCn_BC10			BIT10
#define V850ES_JG2_DBCn_BC9			BIT9
#define V850ES_JG2_DBCn_BC8			BIT8
#define V850ES_JG2_DBCn_BC7			BIT7
#define V850ES_JG2_DBCn_BC6			BIT6
#define V850ES_JG2_DBCn_BC5			BIT5
#define V850ES_JG2_DBCn_BC4			BIT4
#define V850ES_JG2_DBCn_BC3			BIT3
#define V850ES_JG2_DBCn_BC2			BIT2
#define V850ES_JG2_DBCn_BC1			BIT1
#define V850ES_JG2_DBCn_BC0			BIT0

/* DADCnΥӥå */
#define V850ES_JG2_DADCn_DS0			BIT14
#define V850ES_JG2_DADCn_SAD1			BIT7
#define V850ES_JG2_DADCn_SAD0			BIT6
#define V850ES_JG2_DADCn_DAD1			BIT5
#define V850ES_JG2_DADCn_DAD0			BIT4

/* DCHCnΥӥå */
#define V850ES_JG2_DCHCn_TCn			BIT7
#define V850ES_JG2_DCHCn_INITn			BIT2
#define V850ES_JG2_DCHCn_STGn			BIT1
#define V850ES_JG2_DCHCn_Enn			BIT0

/* DTFRnΥӥå */
#define V850ES_JG2_DTFRn_DFn			BIT7
#define V850ES_JG2_DTFRn_IFCn5        		BIT5
#define V850ES_JG2_DTFRn_IFCn4        		BIT4
#define V850ES_JG2_DTFRn_IFCn3        		BIT3
#define V850ES_JG2_DTFRn_IFCn2        		BIT2
#define V850ES_JG2_DTFRn_IFCn1        		BIT1
#define V850ES_JG2_DTFRn_IFCn0        		BIT0

/* LVIICΥӥå */
#define	V850ES_JG2_LVIIC_LVIIF			BIT7
#define	V850ES_JG2_LVIIC_LVIMK			BIT6
#define	V850ES_JG2_LVIIC_LVIPR2			BIT2
#define	V850ES_JG2_LVIIC_LVIPR1			BIT1
#define	V850ES_JG2_LVIIC_LVIPR0			BIT0

/* PIC0Υӥå */
#define	V850ES_JG2_PIC0_PIF0			BIT7
#define	V850ES_JG2_PIC0_PMK0			BIT6
#define	V850ES_JG2_PIC0_PPR02			BIT2
#define	V850ES_JG2_PIC0_PPR01			BIT1
#define	V850ES_JG2_PIC0_PPR00			BIT0

/* PIC1Υӥå */
#define	V850ES_JG2_PIC1_PIF1			BIT7
#define	V850ES_JG2_PIC1_PMK1			BIT6
#define	V850ES_JG2_PIC1_PPR12			BIT2
#define	V850ES_JG2_PIC1_PPR11			BIT1
#define	V850ES_JG2_PIC1_PPR10			BIT0

/* PIC2Υӥå */
#define	V850ES_JG2_PIC2_PIF2			BIT7
#define	V850ES_JG2_PIC2_PMK2			BIT6
#define	V850ES_JG2_PIC2_PPR22			BIT2
#define	V850ES_JG2_PIC2_PPR21			BIT1
#define	V850ES_JG2_PIC2_PPR20			BIT0

/* PIC3Υӥå */
#define	V850ES_JG2_PIC3_PIF3			BIT7
#define	V850ES_JG2_PIC3_PMK3			BIT6
#define	V850ES_JG2_PIC3_PPR32			BIT2
#define	V850ES_JG2_PIC3_PPR31			BIT1
#define	V850ES_JG2_PIC3_PPR30			BIT0

/* PIC4Υӥå */
#define	V850ES_JG2_PIC4_PIF4			BIT7
#define	V850ES_JG2_PIC4_PMK4			BIT6
#define	V850ES_JG2_PIC4_PPR42			BIT2
#define	V850ES_JG2_PIC4_PPR41			BIT1
#define	V850ES_JG2_PIC4_PPR40			BIT0

/* PIC5Υӥå */
#define	V850ES_JG2_PIC5_PIF5			BIT7
#define	V850ES_JG2_PIC5_PMK5			BIT6
#define	V850ES_JG2_PIC5_PPR52			BIT2
#define	V850ES_JG2_PIC5_PPR51			BIT1
#define	V850ES_JG2_PIC5_PPR50			BIT0

/* PIC6Υӥå */
#define	V850ES_JG2_PIC6_PIF6			BIT7
#define	V850ES_JG2_PIC6_PMK6			BIT6
#define	V850ES_JG2_PIC6_PPR62			BIT2
#define	V850ES_JG2_PIC6_PPR61			BIT1
#define	V850ES_JG2_PIC6_PPR60			BIT0

/* PIC7Υӥå */
#define	V850ES_JG2_PIC7_PIF7			BIT7
#define	V850ES_JG2_PIC7_PMK7			BIT6
#define	V850ES_JG2_PIC7_PPR72			BIT2
#define	V850ES_JG2_PIC7_PPR71			BIT1
#define	V850ES_JG2_PIC7_PPR70			BIT0

/* TQ0OVICΥӥå */
#define	V850ES_JG2_TQ0OVIC_TQ0OVIF		BIT7
#define	V850ES_JG2_TQ0OVIC_TQ0OVMK		BIT6
#define	V850ES_JG2_TQ0OVIC_TQ0OVPR2		BIT2
#define	V850ES_JG2_TQ0OVIC_TQ0OVPR1		BIT1
#define	V850ES_JG2_TQ0OVIC_TQ0OVPR0		BIT0

/* TQ0CCIC0Υӥå */
#define	V850ES_JG2_TQ0CCIC0_TQ0CCIF0		BIT7
#define	V850ES_JG2_TQ0CCIC0_TQ0CCMK0		BIT6
#define	V850ES_JG2_TQ0CCIC0_TQ0CCPR02		BIT2
#define	V850ES_JG2_TQ0CCIC0_TQ0CCPR01		BIT1
#define	V850ES_JG2_TQ0CCIC0_TQ0CCPR00		BIT0

/* TQ0CCIC1Υӥå */
#define	V850ES_JG2_TQ0CCIC1_TQ0CCIF1		BIT7
#define	V850ES_JG2_TQ0CCIC1_TQ0CCMK1		BIT6
#define	V850ES_JG2_TQ0CCIC1_TQ0CCPR12		BIT2
#define	V850ES_JG2_TQ0CCIC1_TQ0CCPR11		BIT1
#define	V850ES_JG2_TQ0CCIC1_TQ0CCPR10		BIT0

/* TQ0CCIC2Υӥå */
#define	V850ES_JG2_TQ0CCIC2_TQ0CCIF2		BIT7
#define	V850ES_JG2_TQ0CCIC2_TQ0CCMK2		BIT6
#define	V850ES_JG2_TQ0CCIC2_TQ0CCPR22		BIT2
#define	V850ES_JG2_TQ0CCIC2_TQ0CCPR21		BIT1
#define	V850ES_JG2_TQ0CCIC2_TQ0CCPR20		BIT0

/* TQ0CCIC3Υӥå */
#define	V850ES_JG2_TQ0CCIC3_TQ0CCIF3		BIT7
#define	V850ES_JG2_TQ0CCIC3_TQ0CCMK3		BIT6
#define	V850ES_JG2_TQ0CCIC3_TQ0CCPR32		BIT2
#define	V850ES_JG2_TQ0CCIC3_TQ0CCPR31		BIT1
#define	V850ES_JG2_TQ0CCIC3_TQ0CCPR30		BIT0

/* TP0OVICΥӥå */
#define	V850ES_JG2_TP0OVIC_TP0OVIF		BIT7
#define	V850ES_JG2_TP0OVIC_TP0OVMK		BIT6
#define	V850ES_JG2_TP0OVIC_TP0OVPR2		BIT2
#define	V850ES_JG2_TP0OVIC_TP0OVPR1		BIT1
#define	V850ES_JG2_TP0OVIC_TP0OVPR0		BIT0

/* TP0CCIC0Υӥå */
#define	V850ES_JG2_TP0CCIC0_TP0CCIF0		BIT7
#define	V850ES_JG2_TP0CCIC0_TP0CCMK0		BIT6
#define	V850ES_JG2_TP0CCIC0_TP0CCPR02		BIT2
#define	V850ES_JG2_TP0CCIC0_TP0CCPR01		BIT1
#define	V850ES_JG2_TP0CCIC0_TP0CCPR00		BIT0

/* TP0CCIC1Υӥå */
#define	V850ES_JG2_TP0CCIC1_TP0CCIF1		BIT7
#define	V850ES_JG2_TP0CCIC1_TP0CCMK1		BIT6
#define	V850ES_JG2_TP0CCIC1_TP0CCPR12		BIT2
#define	V850ES_JG2_TP0CCIC1_TP0CCPR11		BIT1
#define	V850ES_JG2_TP0CCIC1_TP0CCPR10		BIT0

/* TP1OVICΥӥå */
#define	V850ES_JG2_TP1OVIC_TP1OVIF		BIT7
#define	V850ES_JG2_TP1OVIC_TP1OVMK		BIT6
#define	V850ES_JG2_TP1OVIC_TP1OVPR2		BIT2
#define	V850ES_JG2_TP1OVIC_TP1OVPR1		BIT1
#define	V850ES_JG2_TP1OVIC_TP1OVPR0		BIT0

/* TP1CCIC0Υӥå */
#define	V850ES_JG2_TP1CCIC0_TP1CCIF0		BIT7
#define	V850ES_JG2_TP1CCIC0_TP1CCMK0		BIT6
#define	V850ES_JG2_TP1CCIC0_TP1CCPR02		BIT2
#define	V850ES_JG2_TP1CCIC0_TP1CCPR01		BIT1
#define	V850ES_JG2_TP1CCIC0_TP1CCPR00		BIT0

/* TP1CCIC1Υӥå */
#define	V850ES_JG2_TP1CCIC1_TP1CCIF1		BIT7
#define	V850ES_JG2_TP1CCIC1_TP1CCMK1		BIT6
#define	V850ES_JG2_TP1CCIC1_TP1CCPR12		BIT2
#define	V850ES_JG2_TP1CCIC1_TP1CCPR11		BIT1
#define	V850ES_JG2_TP1CCIC1_TP1CCPR10		BIT0

/* TP2OVICΥӥå */
#define	V850ES_JG2_TP2OVIC_TP2OVIF		BIT7
#define	V850ES_JG2_TP2OVIC_TP2OVMK		BIT6
#define	V850ES_JG2_TP2OVIC_TP2OVPR2		BIT2
#define	V850ES_JG2_TP2OVIC_TP2OVPR1		BIT1
#define	V850ES_JG2_TP2OVIC_TP2OVPR0		BIT0

/* TP2CCIC0Υӥå */
#define	V850ES_JG2_TP2CCIC0_TP2CCIF0		BIT7
#define	V850ES_JG2_TP2CCIC0_TP2CCMK0		BIT6
#define	V850ES_JG2_TP2CCIC0_TP2CCPR02		BIT2
#define	V850ES_JG2_TP2CCIC0_TP2CCPR01		BIT1
#define	V850ES_JG2_TP2CCIC0_TP2CCPR00		BIT0

/* TP2CCIC1Υӥå */
#define	V850ES_JG2_TP2CCIC1_TP2CCIF1		BIT7
#define	V850ES_JG2_TP2CCIC1_TP2CCMK1		BIT6
#define	V850ES_JG2_TP2CCIC1_TP2CCPR12		BIT2
#define	V850ES_JG2_TP2CCIC1_TP2CCPR11		BIT1
#define	V850ES_JG2_TP2CCIC1_TP2CCPR10		BIT0

/* TP3OVICΥӥå */
#define	V850ES_JG2_TP3OVIC_TP3OVIF		BIT7
#define	V850ES_JG2_TP3OVIC_TP3OVMK		BIT6
#define	V850ES_JG2_TP3OVIC_TP3OVPR2		BIT2
#define	V850ES_JG2_TP3OVIC_TP3OVPR1		BIT1
#define	V850ES_JG2_TP3OVIC_TP3OVPR0		BIT0

/* TP3CCIC0Υӥå */
#define	V850ES_JG2_TP3CCIC0_TP3CCIF0		BIT7
#define	V850ES_JG2_TP3CCIC0_TP3CCMK0		BIT6
#define	V850ES_JG2_TP3CCIC0_TP3CCPR02		BIT2
#define	V850ES_JG2_TP3CCIC0_TP3CCPR01		BIT1
#define	V850ES_JG2_TP3CCIC0_TP3CCPR00		BIT0

/* TP3CCIC1Υӥå */
#define	V850ES_JG2_TP3CCIC1_TP3CCIF1		BIT7
#define	V850ES_JG2_TP3CCIC1_TP3CCMK1		BIT6
#define	V850ES_JG2_TP3CCIC1_TP3CCPR12		BIT2
#define	V850ES_JG2_TP3CCIC1_TP3CCPR11		BIT1
#define	V850ES_JG2_TP3CCIC1_TP3CCPR10		BIT0

/* TP4OVICΥӥå */
#define	V850ES_JG2_TP4OVIC_TP4OVIF		BIT7
#define	V850ES_JG2_TP4OVIC_TP4OVMK		BIT6
#define	V850ES_JG2_TP4OVIC_TP4OVPR2		BIT2
#define	V850ES_JG2_TP4OVIC_TP4OVPR1		BIT1
#define	V850ES_JG2_TP4OVIC_TP4OVPR0		BIT0

/* TP4CCIC0Υӥå */
#define	V850ES_JG2_TP4CCIC0_TP4CCIF0		BIT7
#define	V850ES_JG2_TP4CCIC0_TP4CCMK0		BIT6
#define	V850ES_JG2_TP4CCIC0_TP4CCPR02		BIT2
#define	V850ES_JG2_TP4CCIC0_TP4CCPR01		BIT1
#define	V850ES_JG2_TP4CCIC0_TP4CCPR00		BIT0

/* TP4CCIC1Υӥå */
#define	V850ES_JG2_TP4CCIC1_TP4CCIF1		BIT7
#define	V850ES_JG2_TP4CCIC1_TP4CCMK1		BIT6
#define	V850ES_JG2_TP4CCIC1_TP4CCPR12		BIT2
#define	V850ES_JG2_TP4CCIC1_TP4CCPR11		BIT1
#define	V850ES_JG2_TP4CCIC1_TP4CCPR10		BIT0

/* TP5OVICΥӥå */
#define	V850ES_JG2_TP5OVIC_TP5OVIF		BIT7
#define	V850ES_JG2_TP5OVIC_TP5OVMK		BIT6
#define	V850ES_JG2_TP5OVIC_TP5OVPR2		BIT2
#define	V850ES_JG2_TP5OVIC_TP5OVPR1		BIT1
#define	V850ES_JG2_TP5OVIC_TP5OVPR0		BIT0

/* TP5CCIC0Υӥå */
#define	V850ES_JG2_TP5CCIC0_TP5CCIF0		BIT7
#define	V850ES_JG2_TP5CCIC0_TP5CCMK0		BIT6
#define	V850ES_JG2_TP5CCIC0_TP5CCPR02		BIT2
#define	V850ES_JG2_TP5CCIC0_TP5CCPR01		BIT1
#define	V850ES_JG2_TP5CCIC0_TP5CCPR00		BIT0

/* TP5CCIC1Υӥå */
#define	V850ES_JG2_TP5CCIC1_TP5CCIF1		BIT7
#define	V850ES_JG2_TP5CCIC1_TP5CCMK1		BIT6
#define	V850ES_JG2_TP5CCIC1_TP5CCPR12		BIT2
#define	V850ES_JG2_TP5CCIC1_TP5CCPR11		BIT1
#define	V850ES_JG2_TP5CCIC1_TP5CCPR10		BIT0

/* TM0EQIC0Υӥå */
#define	V850ES_JG2_TM0EQIC0_TM0EQIF0		BIT7
#define	V850ES_JG2_TM0EQIC0_TM0EQMK0		BIT6
#define	V850ES_JG2_TM0EQIC0_TM0EQPR02		BIT2
#define	V850ES_JG2_TM0EQIC0_TM0EQPR01		BIT1
#define	V850ES_JG2_TM0EQIC0_TM0EQPR00		BIT0

/* CB0RICΥӥå */
#define	V850ES_JG2_CB0RIC_CB0RIF		BIT7
#define	V850ES_JG2_CB0RIC_CB0RMK		BIT6
#define	V850ES_JG2_CB0RIC_CB0RPR2		BIT2
#define	V850ES_JG2_CB0RIC_CB0RPR1		BIT1
#define	V850ES_JG2_CB0RIC_CB0RPR0		BIT0

/* IICIC1Υӥå */
#define	V850ES_JG2_IICIC1_IICIF1		BIT7
#define	V850ES_JG2_IICIC1_IICMK1		BIT6
#define	V850ES_JG2_IICIC1_IICPR12		BIT2
#define	V850ES_JG2_IICIC1_IICPR11		BIT1
#define	V850ES_JG2_IICIC1_IICPR10		BIT0

/* CB0TICΥӥå */
#define	V850ES_JG2_CB0TIC_CB0TIF		BIT7
#define	V850ES_JG2_CB0TIC_CB0TMK		BIT6
#define	V850ES_JG2_CB0TIC_CB0TPR2		BIT2
#define	V850ES_JG2_CB0TIC_CB0TPR1		BIT1
#define	V850ES_JG2_CB0TIC_CB0TPR0		BIT0

/* CB1RICΥӥå */
#define	V850ES_JG2_CB1RIC_CB1RIF		BIT7
#define	V850ES_JG2_CB1RIC_CB1RMK		BIT6
#define	V850ES_JG2_CB1RIC_CB1RPR2		BIT2
#define	V850ES_JG2_CB1RIC_CB1RPR1		BIT1
#define	V850ES_JG2_CB1RIC_CB1RPR0		BIT0

/* CB1TICΥӥå */
#define	V850ES_JG2_CB1TIC_CB1TIF		BIT7
#define	V850ES_JG2_CB1TIC_CB1TMK		BIT6
#define	V850ES_JG2_CB1TIC_CB1TPR2		BIT2
#define	V850ES_JG2_CB1TIC_CB1TPR1		BIT1
#define	V850ES_JG2_CB1TIC_CB1TPR0		BIT0

/* CB2RICΥӥå */
#define	V850ES_JG2_CB2RIC_CB2RIF		BIT7
#define	V850ES_JG2_CB2RIC_CB2RMK		BIT6
#define	V850ES_JG2_CB2RIC_CB2RPR2		BIT2
#define	V850ES_JG2_CB2RIC_CB2RPR1		BIT1
#define	V850ES_JG2_CB2RIC_CB2RPR0		BIT0

/* CB2TICΥӥå */
#define	V850ES_JG2_CB2TIC_CB2TIF		BIT7
#define	V850ES_JG2_CB2TIC_CB2TMK		BIT6
#define	V850ES_JG2_CB2TIC_CB2TPR2		BIT2
#define	V850ES_JG2_CB2TIC_CB2TPR1		BIT1
#define	V850ES_JG2_CB2TIC_CB2TPR0		BIT0

/* CB3RICΥӥå */
#define	V850ES_JG2_CB3RIC_CB3RIF		BIT7
#define	V850ES_JG2_CB3RIC_CB3RMK		BIT6
#define	V850ES_JG2_CB3RIC_CB3RPR2		BIT2
#define	V850ES_JG2_CB3RIC_CB3RPR1		BIT1
#define	V850ES_JG2_CB3RIC_CB3RPR0		BIT0

/* CB3TICΥӥå */
#define	V850ES_JG2_CB3TIC_CB3TIF		BIT7
#define	V850ES_JG2_CB3TIC_CB3TMK		BIT6
#define	V850ES_JG2_CB3TIC_CB3TPR2		BIT2
#define	V850ES_JG2_CB3TIC_CB3TPR1		BIT1
#define	V850ES_JG2_CB3TIC_CB3TPR0		BIT0

/* UA0RICΥӥå */
#define	V850ES_JG2_UA0RIC_UA0RIF		BIT7
#define	V850ES_JG2_UA0RIC_UA0RMK		BIT6
#define	V850ES_JG2_UA0RIC_UA0RPR2		BIT2
#define	V850ES_JG2_UA0RIC_UA0RPR1		BIT1
#define	V850ES_JG2_UA0RIC_UA0RPR0		BIT0

/* CB4RICΥӥå */
#define	V850ES_JG2_CB4RIC_CB4RIF		BIT7
#define	V850ES_JG2_CB4RIC_CB4RMK		BIT6
#define	V850ES_JG2_CB4RIC_CB4RPR2		BIT2
#define	V850ES_JG2_CB4RIC_CB4RPR1		BIT1
#define	V850ES_JG2_CB4RIC_CB4RPR0		BIT0

/* UA0TICΥӥå */
#define	V850ES_JG2_UA0TIC_UA0TIF		BIT7
#define	V850ES_JG2_UA0TIC_UA0TMK		BIT6
#define	V850ES_JG2_UA0TIC_UA0TPR2		BIT2
#define	V850ES_JG2_UA0TIC_UA0TPR1		BIT1
#define	V850ES_JG2_UA0TIC_UA0TPR0		BIT0

/* CB4TICΥӥå */
#define	V850ES_JG2_CB4TIC_CB4TIF		BIT7
#define	V850ES_JG2_CB4TIC_CB4TMK		BIT6
#define	V850ES_JG2_CB4TIC_CB4TPR2		BIT2
#define	V850ES_JG2_CB4TIC_CB4TPR1		BIT1
#define	V850ES_JG2_CB4TIC_CB4TPR0		BIT0

/* UA1RICΥӥå */
#define	V850ES_JG2_UA1RIC_UA1RIF		BIT7
#define	V850ES_JG2_UA1RIC_UA1RMK		BIT6
#define	V850ES_JG2_UA1RIC_UA1RPR2		BIT2
#define	V850ES_JG2_UA1RIC_UA1RPR1		BIT1
#define	V850ES_JG2_UA1RIC_UA1RPR0		BIT0

/* IICIC2Υӥå */
#define	V850ES_JG2_IICIC2_IICIF2		BIT7
#define	V850ES_JG2_IICIC2_IICMK2		BIT6
#define	V850ES_JG2_IICIC2_IICPR22		BIT2
#define	V850ES_JG2_IICIC2_IICPR21		BIT1
#define	V850ES_JG2_IICIC2_IICPR20		BIT0

/* UA1TICΥӥå */
#define	V850ES_JG2_UA1TIC_UA1TIF		BIT7
#define	V850ES_JG2_UA1TIC_UA1TMK		BIT6
#define	V850ES_JG2_UA1TIC_UA1TPR2		BIT2
#define	V850ES_JG2_UA1TIC_UA1TPR1		BIT1
#define	V850ES_JG2_UA1TIC_UA1TPR0		BIT0

/* UA2RICΥӥå */
#define	V850ES_JG2_UA2RIC_UA2RIF		BIT7
#define	V850ES_JG2_UA2RIC_UA2RMK		BIT6
#define	V850ES_JG2_UA2RIC_UA2RPR2		BIT2
#define	V850ES_JG2_UA2RIC_UA2RPR1		BIT1
#define	V850ES_JG2_UA2RIC_UA2RPR0		BIT0

/* IICIC0Υӥå */
#define	V850ES_JG2_IICIC0_IICIF0		BIT7
#define	V850ES_JG2_IICIC0_IICMK0		BIT6
#define	V850ES_JG2_IICIC0_IICPR02		BIT2
#define	V850ES_JG2_IICIC0_IICPR01		BIT1
#define	V850ES_JG2_IICIC0_IICPR00		BIT0

/* UA2TICΥӥå */
#define	V850ES_JG2_UA2TIC_UA2TIF		BIT7
#define	V850ES_JG2_UA2TIC_UA2TMK		BIT6
#define	V850ES_JG2_UA2TIC_UA2TPR2		BIT2
#define	V850ES_JG2_UA2TIC_UA2TPR1		BIT1
#define	V850ES_JG2_UA2TIC_UA2TPR0		BIT0

/* ADICΥӥå */
#define	V850ES_JG2_ADIC_ADIF			BIT7
#define	V850ES_JG2_ADIC_ADMK			BIT6
#define	V850ES_JG2_ADIC_ADPR2			BIT2
#define	V850ES_JG2_ADIC_ADPR1			BIT1
#define	V850ES_JG2_ADIC_ADPR0			BIT0

/* DMAIC0Υӥå */
#define	V850ES_JG2_DMAIC0_DMAIF0		BIT7
#define	V850ES_JG2_DMAIC0_DMAMK0		BIT6
#define	V850ES_JG2_DMAIC0_DMAPR02		BIT2
#define	V850ES_JG2_DMAIC0_DMAPR01		BIT1
#define	V850ES_JG2_DMAIC0_DMAPR00		BIT0

/* DMAIC1Υӥå */
#define	V850ES_JG2_DMAIC1_DMAIF1		BIT7
#define	V850ES_JG2_DMAIC1_DMAMK1		BIT6
#define	V850ES_JG2_DMAIC1_DMAPR12		BIT2
#define	V850ES_JG2_DMAIC1_DMAPR11		BIT1
#define	V850ES_JG2_DMAIC1_DMAPR10		BIT0

/* DMAIC2Υӥå */
#define	V850ES_JG2_DMAIC2_DMAIF2		BIT7
#define	V850ES_JG2_DMAIC2_DMAMK2		BIT6
#define	V850ES_JG2_DMAIC2_DMAPR22		BIT2
#define	V850ES_JG2_DMAIC2_DMAPR21		BIT1
#define	V850ES_JG2_DMAIC2_DMAPR20		BIT0

/* DMAIC3Υӥå */
#define	V850ES_JG2_DMAIC3_DMAIF3		BIT7
#define	V850ES_JG2_DMAIC3_DMAMK3		BIT6
#define	V850ES_JG2_DMAIC3_DMAPR32		BIT2
#define	V850ES_JG2_DMAIC3_DMAPR31		BIT1
#define	V850ES_JG2_DMAIC3_DMAPR30		BIT0

/* KRICΥӥå */
#define	V850ES_JG2_KRIC_KRIF			BIT7
#define	V850ES_JG2_KRIC_KRMK			BIT6
#define	V850ES_JG2_KRIC_KRPR2			BIT2
#define	V850ES_JG2_KRIC_KRPR1			BIT1
#define	V850ES_JG2_KRIC_KRPR0			BIT0

/* WTIICΥӥå */
#define	V850ES_JG2_WTIIC_WTIIF			BIT7
#define	V850ES_JG2_WTIIC_WTIMK			BIT6
#define	V850ES_JG2_WTIIC_WTIPR2			BIT2
#define	V850ES_JG2_WTIIC_WTIPR1			BIT1
#define	V850ES_JG2_WTIIC_WTIPR0			BIT0

/* WTICΥӥå */
#define	V850ES_JG2_WTIC_WTIF			BIT7
#define	V850ES_JG2_WTIC_WTMK			BIT6
#define	V850ES_JG2_WTIC_WTPR2			BIT2
#define	V850ES_JG2_WTIC_WTPR1			BIT1
#define	V850ES_JG2_WTIC_WTPR0			BIT0

/* IMR3Υӥå */
#define	V850ES_JG2_IMR3_WTMK			BIT6
#define	V850ES_JG2_IMR3_WTIMK			BIT5
#define	V850ES_JG2_IMR3_KRMK			BIT4
#define	V850ES_JG2_IMR3_DMAMK3			BIT3
#define	V850ES_JG2_IMR3_DMAMK2			BIT2
#define	V850ES_JG2_IMR3_DMAMK1			BIT1
#define	V850ES_JG2_IMR3_DMAMK0			BIT0

/* IMR2Υӥå */
#define	V850ES_JG2_IMR2_ADMK			BIT15
#define	V850ES_JG2_IMR2_UA2TMK			BIT14
#define	V850ES_JG2_IMR2_UA2RMK			BIT13
#define	V850ES_JG2_IMR2_IICMK0			BIT13
#define	V850ES_JG2_IMR2_UA1TMK			BIT12
#define	V850ES_JG2_IMR2_UA1RMK			BIT11
#define	V850ES_JG2_IMR2_IICMK2			BIT11
#define	V850ES_JG2_IMR2_UA0TMK			BIT10
#define	V850ES_JG2_IMR2_CB4TMK			BIT10
#define	V850ES_JG2_IMR2_UA0RMK			BIT9
#define	V850ES_JG2_IMR2_CB4RMK			BIT9
#define	V850ES_JG2_IMR2_CB3TMK			BIT8
#define	V850ES_JG2_IMR2_CB3RMK			BIT7
#define	V850ES_JG2_IMR2_CB2TMK			BIT6
#define	V850ES_JG2_IMR2_CB2RMK			BIT5
#define	V850ES_JG2_IMR2_CB1TMK			BIT4
#define	V850ES_JG2_IMR2_CB1RMK			BIT3
#define	V850ES_JG2_IMR2_CB0TMK			BIT2
#define	V850ES_JG2_IMR2_CB0RMK			BIT1
#define	V850ES_JG2_IMR2_IICMK1			BIT1
#define	V850ES_JG2_IMR2_TM0EQMK0		BIT0

/* IMR1Υӥå */
#define	V850ES_JG2_IMR1_TP5CCMK1		BIT15
#define	V850ES_JG2_IMR1_TP5CCMK0		BIT14
#define	V850ES_JG2_IMR1_TP5OVMK			BIT13
#define	V850ES_JG2_IMR1_TP4CCMK1		BIT12
#define	V850ES_JG2_IMR1_TP4CCMK0		BIT11
#define	V850ES_JG2_IMR1_TP4OVMK			BIT10
#define	V850ES_JG2_IMR1_TP3CCMK1		BIT9
#define	V850ES_JG2_IMR1_TP3CCMK0		BIT8
#define	V850ES_JG2_IMR1_TP3OVMK			BIT7
#define	V850ES_JG2_IMR1_TP2CCMK1		BIT6
#define	V850ES_JG2_IMR1_TP2CCMK0		BIT5
#define	V850ES_JG2_IMR1_TP2OVMK			BIT4
#define	V850ES_JG2_IMR1_TP1CCMK1		BIT3
#define	V850ES_JG2_IMR1_TP1CCMK0		BIT2
#define	V850ES_JG2_IMR1_TP1OVMK			BIT1
#define	V850ES_JG2_IMR1_TP0CCMK1		BIT0

/* IMR0Υӥå */
#define	V850ES_JG2_IMR0_TP0CCMK0		BIT15
#define	V850ES_JG2_IMR0_TP0OVMK			BIT14
#define	V850ES_JG2_IMR0_TQ0CCMK3		BIT13
#define	V850ES_JG2_IMR0_TQ0CCMK2		BIT12
#define	V850ES_JG2_IMR0_TQ0CCMK1		BIT11
#define	V850ES_JG2_IMR0_TQ0CCMK0		BIT10
#define	V850ES_JG2_IMR0_TQ0OVMK			BIT9
#define	V850ES_JG2_IMR0_PMK7			BIT8
#define	V850ES_JG2_IMR0_PMK6			BIT7
#define	V850ES_JG2_IMR0_PMK5			BIT6
#define	V850ES_JG2_IMR0_PMK4			BIT5
#define	V850ES_JG2_IMR0_PMK3			BIT4
#define	V850ES_JG2_IMR0_PMK2			BIT3
#define	V850ES_JG2_IMR0_PMK1			BIT2
#define	V850ES_JG2_IMR0_PMK0			BIT1
#define	V850ES_JG2_IMR0_LVIMK			BIT0

/* ISPRΥӥå */
#define	V850ES_JG2_ISPR_ISPR7			BIT7
#define	V850ES_JG2_ISPR_ISPR6			BIT6
#define	V850ES_JG2_ISPR_ISPR5			BIT5
#define	V850ES_JG2_ISPR_ISPR4			BIT4
#define	V850ES_JG2_ISPR_ISPR3			BIT3
#define	V850ES_JG2_ISPR_ISPR2			BIT2
#define	V850ES_JG2_ISPR_ISPR1			BIT1
#define	V850ES_JG2_ISPR_ISPR0			BIT0

/* INTF0Υӥå */
#define	V850ES_JG2_INTF0_INTF06			BIT6
#define	V850ES_JG2_INTF0_INTF05			BIT5
#define	V850ES_JG2_INTF0_INTF04			BIT4
#define	V850ES_JG2_INTF0_INTF03			BIT3
#define	V850ES_JG2_INTF0_INTF02			BIT2

/* INTR0Υӥå */
#define	V850ES_JG2_INTR0_INTR06			BIT6
#define	V850ES_JG2_INTR0_INTR05			BIT5
#define	V850ES_JG2_INTR0_INTR04			BIT4
#define	V850ES_JG2_INTR0_INTR03			BIT3
#define	V850ES_JG2_INTR0_INTR02			BIT2

/* INTF3Υӥå */
#define	V850ES_JG2_INTF3_INTF31			BIT1

/* INTR3Υӥå */
#define	V850ES_JG2_INTR3_INTR31			BIT1

/* INTF9HΥӥå */
#define	V850ES_JG2_INTF9H_INTF915		BIT8
#define	V850ES_JG2_INTF9H_INTF914		BIT7
#define	V850ES_JG2_INTF9H_INTF913		BIT6

/* INTR9HΥӥå */
#define	V850ES_JG2_INTR9H_INTR915		BIT8
#define	V850ES_JG2_INTR9H_INTR914		BIT7
#define	V850ES_JG2_INTR9H_INTR913		BIT6

/* NFCΥӥå */
#define	V850ES_JG2_NFC_NFEN			BIT7
#define	V850ES_JG2_NFC_NFC2			BIT2
#define	V850ES_JG2_NFC_NFC1			BIT1
#define	V850ES_JG2_NFC_NFC0			BIT0

/* KRMΥӥå */
#define	V850ES_JG2_KRM_KRM7			BIT7
#define	V850ES_JG2_KRM_KRM6			BIT6
#define	V850ES_JG2_KRM_KRM5			BIT5
#define	V850ES_JG2_KRM_KRM4			BIT4
#define	V850ES_JG2_KRM_KRM3			BIT3
#define	V850ES_JG2_KRM_KRM2			BIT2
#define	V850ES_JG2_KRM_KRM1			BIT1
#define	V850ES_JG2_KRM_KRM0			BIT0

/* PSCΥӥå */
#define	V850ES_JG2_PSC_NMI1M			BIT6
#define	V850ES_JG2_PSC_NMI0M			BIT5
#define	V850ES_JG2_PSC_INTM			BIT4
#define V850ES_JG2_PSC_STP			BIT1

/* PSMRΥӥå */
#define	V850ES_JG2_PSMR_PSM1			BIT1
#define	V850ES_JG2_PSMR_PSM0			BIT0

/* OSTSΥӥå */
#define	V850ES_JG2_OSTS_OSTS2			BIT2
#define	V850ES_JG2_OSTS_OSTS1			BIT1
#define	V850ES_JG2_OSTS_OSTS0			BIT0

/* RESFΥӥå */
#define	V850ES_JG2_RESF_WDT2RF			BIT4
#define	V850ES_JG2_RESF_CLMRF			BIT1
#define	V850ES_JG2_RESF_LVIRF			BIT0

/* CLMΥӥå */
#define	V850ES_JG2_CLM_CLME			BIT0

#endif
